package com.xxh.cloud.dw.healthy.engine.modules.cache.keys;

import cn.hutool.core.util.StrUtil;

public class PatientDataKeys {


    /**
     * 患者信息KEY(患者ID)
     * */
    public static String getPatientDataCacheKey(String patientId){
        return StrUtil.format("H:D:P:{}",patientId);
    }

//    /**
//     * 人数据KEY(身份证号)
//     * */
//    public static String getPersonDateCacheKey(String idNo){
//        return StrUtil.format("H:D:M:{}",idNo);
//    }


    /**
     * 患者基本信息
     * */
    public static String getPatientBase(){
        return "md_patient";
    }


    /**
     *  报告 : 检验报告
     * */
    public static String getLaboratoryReport(){
        return "laboratory_project";
    }

    /**
     *  报告 : 检查报告
     * */
    public static String getExamineReport(){
        return "examine_project";
    }

    /**
     *  报告 : 病理报告
     * */
    public static String getPathologyReport(){
        return "pathology_report";
    }


    /**
     *  就诊: 就诊记录
     * */
    public static String getVisitRecord(){
        return "visit_record";
    }


    /**
     *  诊断
     * */
    public static String getDiagnosis(){
        return "diagnosis";
    }

    /**
     * 预约住院 [住院申请]
     * */
    public static String getReserveInpatient(){
        return "inpatient_apply";
    }

    /**
     * 入院
     * */
    public static String getInpatient(){
        return "inpatient";
    }

    /**
     * 出院
     * */
    public static String getDischarge(){
        return "discharge";
    }

    /**
     * 挂号
     * */
    public static String getRegisterRecord(){
        return "register_record";
    }

    /**
     * 预约检查
     * */
    public static String getReserveExamine(){
        return "reserve_examine";
    }

    /**
     * 检查申请
     * */
    public static String getApplyExamine(){
        return "examine_apply";
    }

    /**
     *  病理检查申请
     * */
    public static String getApply_Pathology(){
        return "pathology_apply";
    }

    /**
     *  检验项目申请
     * */
    public static String getApply_Laboratory_Project(){
        return "laboratory_project_apply";
    }

    /**
     *  用药
     * */
    public static String getMedicine(){
        return "medicine";
    }


    /**
     * 治疗
     * */
    public static String getTherapy(){
        return "therapy";
    }

    /**
     * 手术申请
     * */
    public static String getApply_Operation(){
        return "operation_apply";
    }

    /**
     * 手术记录
     * */
    public static String getOperationRecord(){
        return "operation_record";
    }


    /**
     * 收费
     * */
    public static String getCollectFeeRecord(){
        return "collect_fee";
    }






}
