package com.xxh.cloud.dw.healthy.engine.modules.data.service;

import com.xxh.cloud.dw.healthy.engine.modules.data.bean.bos.DwdPatientDataBO;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface RuleEngineDataService {

    public XXRuleRoam getRuleRoam(String patientId);

    public DwdPatientDataBO getPatientData(String patientId);


    public List<DwdPatientDataBO> getDwdPatientDataList(List<String> patientIds);
    public Map<String,XXRuleRoam> getRuleRoamMap(List<String> patientIds);

    public Map<String,XXRuleRoam> getRuleRoamMapByData(List<DwdPatientDataBO> list);



    public List<DwdPatientDataBO> reloadRuleRoamMap(List<String> patientIds,List<DwdPatientDataBO> list);

//    public Map<String, XXRuleRoam> reloadRuleRoamMap (List<String> patientIds,Map<String, XXRuleRoam> patientDataMap);

}
