package com.xxh.cloud.dw.healthy.engine.modules.exe.utils;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.io.file.FileAppender;
import cn.hutool.core.util.StrUtil;

import java.io.File;
import java.util.Date;

public class LogFileUtils {

    private static String path="/home/debug_log/xx_rule/";

    public static File getFile(String fileName){
        String filePath = path+fileName+"_"+ DateUtil.format(new Date(),"yyyyMMdd")+".log";
        File file = new File(filePath);
        if(!file.exists()){
            FileUtil.touch(file);
        }
        return file;
    }

    public static String getFileName(String fileName , String serverPort){
        if(StrUtil.isEmpty(serverPort)){
            return fileName+"-NotPort";
        }else {
            return fileName+"-"+serverPort;
        }
    }



    public static FileAppender getFileAppender(String fileName , String serverPort){
        String newFileName=getFileName(fileName,serverPort);
        return getFileAppender(newFileName);
    }

    public static FileAppender getFileAppender(String fileName){
        File file=getFile(fileName);
        FileAppender appender =new FileAppender(file,100,true);
        return appender;
    }



}
