package com.xxh.cloud.dw.healthy.engine.modules.biz.service;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.common.mq.bean.qr.RuleHisLabelRunBO;
import com.xxh.cloud.dw.healthy.engine.modules.exe.service.DwdDataExecuteLabelService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.utils.ConsoleUtils;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Deprecated
@Service
public class DataPatientHisLabelRuleRunService {

    @Autowired
    private DataPatientCacheGetService dataPatientCacheGetService;
    @Autowired
    private DwdDataExecuteLabelService dwdDataExecuteLabelService;
    @Autowired
    private DataPatientRunExeCallbackService dataPatientRunExeCallbackService;

    public void process(List<RuleHisLabelRunBO> list){
        List<String> patientIds=new ArrayList<>();
        list.forEach(item->{
            if(item!=null && StrUtil.isNotEmpty(item.getPatientId())){
                patientIds.add(item.getPatientId());
            }
        });

        if(CollUtil.isEmpty(patientIds)){
            return;
        }

        Map<String, XXRuleRoam> patientDataMap= dataPatientCacheGetService.getPatientRuleRoamData(patientIds);
        List<String> updateIds=new ArrayList<>();
        for(RuleHisLabelRunBO item:list){
            if(item!=null && StrUtil.isNotEmpty(item.getPatientId())){
                XXRuleRoam ruleRoam = patientDataMap.get(item.getPatientId());

                for(String configId : item.getConfigIds()){
                    this.process(item.getPatientId(),ruleRoam,configId, DateUtil.now(),"MQ");
                }
                if(CollUtil.isNotEmpty(item.getIds())){
                    updateIds.addAll(item.getIds());
                }
            }
        }

        dataPatientRunExeCallbackService.updateHisLabelRuleStatus(updateIds);
    }

    private void process(String patientId, XXRuleRoam patientData,String ruleId,String dataDay,String opUser){
        try {
            dwdDataExecuteLabelService.executeLabelRuleByPatientId2RuleId(patientId,patientData,ruleId,dataDay, YN.NO.getCode(), null,opUser,false);
        }catch (Exception e){
            e.printStackTrace();
        }
    }


}
