package com.xxh.cloud.data.run.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者待执行事件列表
 * </p>
 */
@Data
@TableName("xe_patient_event_rule_ing_info")
public class PatientEventRuleIngInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 事件ID
     */
     @ApiModelProperty(value = "事件ID")
      private String eventId;

    /**
     * 事件时间
     */
     @ApiModelProperty(value = "事件时间")
      private Date eventTime;

    /**
     * 新增时间
     */
     @ApiModelProperty(value = "新增时间")
      private Date addTime;

    /**
     * 执行状态
     */
     @ApiModelProperty(value = "执行状态")
      private String opStatus;

    /**
     * 执行次数
     */
     @ApiModelProperty(value = "执行次数")
      private Integer opNum;

    /**
     * 执行时间
     */
     @ApiModelProperty(value = "执行时间")
      private Date opTime;


     @ApiModelProperty(value = "关联对象分类")
    private String relObjType;

    @ApiModelProperty(value = "关联对象ID")
     private String relObjId;

}
