package com.xxh.cloud.data.run.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者待执行规则列表
 * </p>
 *
 * @author anros
 * @since 2023-11-26
 */
@Data
@TableName("xe_patient_flow_rule_ing_info")
public class PatientFlowRuleIngInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 新增时间
     */
     @ApiModelProperty(value = "新增时间")
      private Date addTime;

    /**
     * 执行状态
     */
     @ApiModelProperty(value = "执行状态")
      private String opStatus;

    /**
     * 执行次数
     */
     @ApiModelProperty(value = "执行次数")
      private Integer opNum;


    @ApiModelProperty(value = "操作类型")
     private String opType;

    /**
     * 执行时间
     */
     @ApiModelProperty(value = "执行时间")
      private Date opTime;

      @ApiModelProperty(value = "场景分类")
     private String sceneType;

    @ApiModelProperty(value = "数据ID")
    private String dataId;

     @ApiModelProperty(value = "数据时间")
     private String dataTime;


}
