package com.xxh.cloud.data.run.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者历史数据标签规则待执行列表
 * </p>
 *
 * @author anros
 * @since 2023-11-26
 */
@Data
@TableName("xe_patient_his_tag_rule_ing_info")
public class PatientHisTagRuleIngInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 标签规则ID
     */
     @ApiModelProperty(value = "标签规则ID")
      private String labelRuleId;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 执行状态
     */
     @ApiModelProperty(value = "执行状态")
      private String opStatus;

    /**
     * 执行次数
     */
     @ApiModelProperty(value = "执行次数")
      private Integer opNum;

    /**
     * 执行时间
     */
     @ApiModelProperty(value = "执行时间")
      private Date opTime;

    /**
     * 执行备注
     */
     @ApiModelProperty(value = "执行备注")
      private String opRemark;


}
