package com.xxh.cloud.data.run.modules.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.data.run.modules.biz.bean.bos.PatientFlowTaskNoneBO;
import com.xxh.cloud.data.run.modules.biz.bean.bos.PatientLabelRuleHisDataBO;
import com.xxh.cloud.data.run.modules.biz.bean.mos.PatientLabelRuleHisTaskQueryMO;
import com.xxh.cloud.data.run.modules.biz.bean.mos.PatientRuleTaskQueryMO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface PatientLabelRuleHisDataQueryMapper {


    @Select(" SELECT patient_id as  patientId ,GROUP_CONCAT(id)  as ids FROM xe_patient_event_rule_ing_info  ${ew.customSqlSegment}")
    public List<PatientRuleTaskQueryMO> queryPatientEventTask(@Param(Constants.WRAPPER) Wrapper<PatientRuleTaskQueryMO> wrapper);

    @Select(" SELECT patient_id as  patientId ,GROUP_CONCAT(id)  as ids , GROUP_CONCAT(scene_type) as sceneTypes ,max(data_time) as mdt  FROM xe_patient_flow_rule_ing_info  ${ew.customSqlSegment}")
    public List<PatientFlowTaskNoneBO> queryPatientFlowTask(@Param(Constants.WRAPPER) Wrapper<PatientFlowTaskNoneBO> wrapper);


    @Select(" SELECT patient_id as  patientId , GROUP_CONCAT(id) as ids , GROUP_CONCAT(label_rule_id) as labelRuleIds FROM xe_patient_his_tag_rule_ing_info  ${ew.customSqlSegment}")
    public List<PatientLabelRuleHisDataBO> queryPatientLabelHisTask(@Param(Constants.WRAPPER) Wrapper<PatientLabelRuleHisDataBO> wrapper);


}
