package com.xxh.cloud.data.run.modules.config;


import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;

@Getter
@Setter
@Configuration
@ConditionalOnProperty(name = "xmd.task.enable", havingValue = "true")
public class DataRunTaskConfig {


    @Value("${xmd.task.config.eventIntervalMinute}")
    private int eventIntervalMinute=3;

    @Value("${xmd.task.config.eventDataNum}")
    private int eventDataNum=10;


    @Value("${xmd.task.config.lableIntervalMinute}")
    private int lableIntervalMinute=3;

    @Value("${xmd.task.config.lableDataMum}")
    private int lableDataMum=10;


    @Value("${xmd.task.config.lableHisDataMum}")
    private int lableHisDataMum=10;




}
