package com.xxh.cloud.dw.healthy.data.sys.manager.controller;

import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDiagnosisReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeContentQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdInpatientRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryAndExamineReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientMedicalRecordContentGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientMedicalRecordContentQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeTherapyItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeTherapyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdVisitRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDiagnosisReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeContentVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryAndExamineReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientDataVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientMedicalRecordContentVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDiagnosisReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDischargeContentBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDischargeRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdExamineReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdInpatientRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdLaboratoryReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdLaboratoryReportItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdOperationRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdOperationRecordItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdPatientMedicalRecordContentBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeMedicineBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeMedicineItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeTherapyBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeTherapyItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdVisitRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.PatientDwdDataBizService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaCheckLogin
@Log4j2
@RestController
@RequestMapping("/dw/dwd/data/doctor/patient")
@Api(tags = "我的患者数据查看")
public class DwdPatientDataQueryController {

    @Autowired
    private DwdExamineReportBizService dwdExamineReportBizService;
    @Autowired
    private DwdLaboratoryReportBizService dwdLaboratoryReportBizService;
    @Autowired
    private PatientDwdDataBizService patientDwdDataBizService;
    @Autowired
    private DwdLaboratoryReportItemBizService dwdLaboratoryReportItemBizService;
    @Autowired
    private DwdOperationRecordBizService dwdOperationRecordBizService;
    @Autowired
    private DwdOperationRecordItemBizService dwdOperationRecordItemBizService;
    @Autowired
    private DwdRecipeMedicineBizService dwdRecipeMedicineBizService;
    @Autowired
    private DwdRecipeMedicineItemBizService dwdRecipeMedicineItemBizService;
    @Autowired
    private DwdRecipeTherapyBizService dwdRecipeTherapyBizService;
    @Autowired
    private DwdRecipeTherapyItemBizService dwdRecipeTherapyItemBizService;
    @Autowired
    private DwdInpatientRecordBizService dwdInpatientRecordBizService;
    @Autowired
    private DwdVisitRecordBizService dwdVisitRecordBizService;
    @Autowired
    private DwdDischargeRecordBizService dwdDischargeRecordBizService;
    @Autowired
    private DwdDischargeContentBizService dwdDischargeContentBizService;
    @Autowired
    private DwdDiagnosisReportBizService dwdDiagnosisReportBizService;
    @Autowired
    private DwdPatientMedicalRecordContentBizService dwdPatientMedicalRecordContentBizService;
    // @Autowired
    // private DwdPatientBizService dwdPatientBizService;

    // 我的患者数据记录
    // zs20231128 查询患者档案，本部门的数据展示在最前，当本部门的数据查询完后查询其他部门的数据
    @PostMapping("/list")
    @ApiOperation(value = "患者数据列表", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> page(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/list >>> {}", JSON.toJSONString(params));
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        params.setDeptId(user.getDeptId());
        List<DwdPatientDataVO> data = patientDwdDataBizService.list(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    // 患者数据记录+体检
    @PostMapping("/list/v2")
    @ApiOperation(value = "患者数据列表+体检", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> pageV2(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/list/V2 >>> {}", JSON.toJSONString(params));
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        params.setDeptId(user.getDeptId());
        List<DwdPatientDataVO> data = patientDwdDataBizService.listV2(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    // 异步查询患者数据记录+体检
    @PostMapping("/list/v3")
    @ApiOperation(value = "异步查询患者数据列表+体检v3", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> pageV3(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/list/V3 >>> {}", JSON.toJSONString(params));
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        params.setDeptId(user.getDeptId());
        List<DwdPatientDataVO> data = patientDwdDataBizService.listV3(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    ////// 检查报告

    @PostMapping("/examineReport/list")
    @ApiOperation(value = "检查报告单列表", response = DwdExamineReportVO.class)
    public Result<List<DwdExamineReportVO>> examineReportList(@RequestBody DwdExamineReportQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/examineReport/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdExamineReportVO> data = dwdExamineReportBizService.list(params);

        // 若参数有id列表，则数据返回顺序与id列表一致，用于数据推理
        if (CollectionUtil.isNotEmpty(data) && CollectionUtil.isNotEmpty(params.getIds())) {
            List<DwdExamineReportVO> orderData = new ArrayList<>();
            Map<String, DwdExamineReportVO> map = data.stream().collect(Collectors.toMap(DwdExamineReportVO::getId, i -> i));
            params.getIds().forEach(i -> orderData.add(map.get(i)));
            return new Result<List<DwdExamineReportVO>>().ok(orderData);
        }

        return new Result<List<DwdExamineReportVO>>().ok(data);
    }

    @PostMapping("/examineReport/detail")
    @ApiOperation(value = "检查报告单详情", response = DwdExamineReportVO.class)
    public Result<DwdExamineReportVO> examineReportDetail(@RequestBody DwdExamineReportGetDTO params) {
        log.info("/dw/dwd/data/doctor/patient/examineReport/detail >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // }
        
        DwdExamineReportVO data= dwdExamineReportBizService.detail(params);
        return new Result<DwdExamineReportVO>().ok(data);
    }

    ////// 检验报告

    @PostMapping("/laboratoryReport/list")
    @ApiOperation(value = "异常检验报告列表", response = DwdLaboratoryReportVO.class)
    public Result<List<DwdLaboratoryReportVO>> laboratoryReportList(@RequestBody DwdLaboratoryReportQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/laboratoryReport/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdLaboratoryReportVO> data= dwdLaboratoryReportBizService.list(params);
        
        // 若参数有id列表，则数据返回顺序与id列表一致，用于数据推理
        if (CollectionUtil.isNotEmpty(data) && CollectionUtil.isNotEmpty(params.getIds())) {
            List<DwdLaboratoryReportVO> orderData = new ArrayList<>();
            Map<String, DwdLaboratoryReportVO> map = data.stream().collect(Collectors.toMap(DwdLaboratoryReportVO::getId, i -> i));
            params.getIds().forEach(i -> orderData.add(map.get(i)));
            return new Result<List<DwdLaboratoryReportVO>>().ok(orderData);
        }

        return new Result<List<DwdLaboratoryReportVO>>().ok(data);
    }

    @PostMapping("/laboratoryReport/detail")
    @ApiOperation(value = "检验报告单详情", response = DwdLaboratoryReportVO.class)
    public Result<DwdLaboratoryReportVO> laboratoryReportDetail(@RequestBody DwdLaboratoryReportGetDTO params) {
        log.info("/dw/dwd/data/doctor/patient/laboratoryReport/detail >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // }
        
        DwdLaboratoryReportVO data= dwdLaboratoryReportBizService.detail(params);
        return new Result<DwdLaboratoryReportVO>().ok(data);
    }

    @PostMapping("/laboratoryReportItem/list")
    @ApiOperation(value = "异常检验报告项目列表", response = DwdLaboratoryReportItemVO.class)
    public Result<List<DwdLaboratoryReportItemVO>> laboratoryReportItemList(@RequestBody DwdLaboratoryReportItemQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/laboratoryReportItem/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdLaboratoryReportItemVO> data= dwdLaboratoryReportItemBizService.list(params);
        return new Result<List<DwdLaboratoryReportItemVO>>().ok(data);
    }

    @PostMapping("/laboratoryReport/abnormal")
    @ApiOperation(value = "异常检验报告", response = DwdLaboratoryReportItemVO.class)
    public Result<List<DwdLaboratoryReportItemVO>> abnormalLaboratoryReport(@RequestBody DwdLaboratoryReportItemQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/laboratoryReport/abnormal >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        params.setIsAbnormal(YN.YES.getCode());
        List<DwdLaboratoryReportItemVO> data= dwdLaboratoryReportItemBizService.list(params);
        return new Result<List<DwdLaboratoryReportItemVO>>().ok(data);
    }

    // 检查检验报告
    
    @PostMapping("/laboratoryAndExamineReport/page")
    @ApiOperation(value = "检查检验报告单列表", response = DwdLaboratoryAndExamineReportVO.class)
    public Result<DwdLaboratoryAndExamineReportVO> laboratoryAndExamineReportList(@RequestBody DwdLaboratoryAndExamineReportQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/laboratoryAndExamineReport/page >>>");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();

        // 检查报告
        DwdExamineReportQueryDTO examineReportQueryDTO = new DwdExamineReportQueryDTO();
        examineReportQueryDTO.setPage(params.getPage());
        examineReportQueryDTO.setRows(params.getRows());
        examineReportQueryDTO.setPatientId(params.getPatientId());
        examineReportQueryDTO.setPatientIds(params.getPatientIds());
        examineReportQueryDTO.setVisitId(params.getVisitId());
        examineReportQueryDTO.setVisitIds(params.getVisitIds());
        examineReportQueryDTO.setStartDate(params.getStartDate());
        examineReportQueryDTO.setEndDate(params.getEndDate());
        examineReportQueryDTO.setActivityNo(params.getActivityNo());
        examineReportQueryDTO.setActivityNos(params.getActivityNos());
        examineReportQueryDTO.setIsActivity(params.getIsActivity());
        PageData<DwdExamineReportVO> examineReportList = dwdExamineReportBizService.query(examineReportQueryDTO);

        // 检验报告
        DwdLaboratoryReportQueryDTO laboratoryReportQueryDTO = new DwdLaboratoryReportQueryDTO();
        laboratoryReportQueryDTO.setPage(params.getPage());
        laboratoryReportQueryDTO.setRows(params.getRows());
        laboratoryReportQueryDTO.setPatientId(params.getPatientId());
        laboratoryReportQueryDTO.setPatientIds(params.getPatientIds());
        laboratoryReportQueryDTO.setVisitId(params.getVisitId());
        laboratoryReportQueryDTO.setVisitIds(params.getVisitIds());
        laboratoryReportQueryDTO.setStartDate(params.getStartDate());
        laboratoryReportQueryDTO.setEndDate(params.getEndDate());
        laboratoryReportQueryDTO.setActivityNo(params.getActivityNo());
        laboratoryReportQueryDTO.setActivityNos(params.getActivityNos());
        laboratoryReportQueryDTO.setIsActivity(params.getIsActivity());
        PageData<DwdLaboratoryReportVO> laboratoryReportList = dwdLaboratoryReportBizService.query(laboratoryReportQueryDTO);

        DwdLaboratoryAndExamineReportVO vo = new DwdLaboratoryAndExamineReportVO();
        vo.setExamineReportVOList(examineReportList);
        vo.setLaboratoryReportVOList(laboratoryReportList);

        return new Result<DwdLaboratoryAndExamineReportVO>().ok(vo);
    }

    ////// 手术记录

    @PostMapping("/operationRecord/list")
    @ApiOperation(value = "手术记录列表", response = DwdOperationRecordVO.class)
    public Result<List<DwdOperationRecordVO>> operationRecordList(@RequestBody DwdOperationRecordQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/operationRecord/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdOperationRecordVO> data= dwdOperationRecordBizService.list(params);
        return new Result<List<DwdOperationRecordVO>>().ok(data);
    }

    @PostMapping("/operationRecordItem/list")
    @ApiOperation(value = "手术记录详情列表", response = DwdOperationRecordItemVO.class)
    public Result<List<DwdOperationRecordItemVO>> operationRecordItemList(@RequestBody DwdOperationRecordItemQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/operationRecord/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdOperationRecordItemVO> data= dwdOperationRecordItemBizService.list(params);
        return new Result<List<DwdOperationRecordItemVO>>().ok(data);
    }

    ////// 用药

    @PostMapping("/recipeMedicine/query")
    @ApiOperation(value = "用药列表", response = DwdRecipeMedicineVO.class)
    public Result<PageData<DwdRecipeMedicineVO>> recipeMedicineQuery(@RequestBody DwdRecipeMedicineQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeMedicine/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        PageData<DwdRecipeMedicineVO> data= dwdRecipeMedicineBizService.query(params);
        return new Result<PageData<DwdRecipeMedicineVO>>().ok(data);
    }

    @PostMapping("/recipeMedicine/list")
    @ApiOperation(value = "用药列表", response = DwdRecipeMedicineVO.class)
    public Result<List<DwdRecipeMedicineVO>> recipeMedicineList(@RequestBody DwdRecipeMedicineQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeMedicine/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdRecipeMedicineVO> data= dwdRecipeMedicineBizService.list(params);
        return new Result<List<DwdRecipeMedicineVO>>().ok(data);
    }

    @PostMapping("/recipeMedicine/detail")
    @ApiOperation(value = "用药详情", response = DwdRecipeMedicineVO.class)
    public Result<DwdRecipeMedicineVO> recipeMedicineDetail(@RequestBody DwdRecipeMedicineGetDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeMedicine/detail >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        DwdRecipeMedicineVO data= dwdRecipeMedicineBizService.detail(params);
        return new Result<DwdRecipeMedicineVO>().ok(data);
    }

    @PostMapping("/recipeMedicineItem/list")
    @ApiOperation(value = "用药详情列表", response = DwdRecipeMedicineItemVO.class)
    public Result<List<DwdRecipeMedicineItemVO>> recipeMedicineItemList(@RequestBody DwdRecipeMedicineItemQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeMedicineItem/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdRecipeMedicineItemVO> data= dwdRecipeMedicineItemBizService.list(params);
        return new Result<List<DwdRecipeMedicineItemVO>>().ok(data);
    }

    ////// 治疗

    @PostMapping("/recipeTherapy/list")
    @ApiOperation(value = "治疗列表", response = DwdRecipeTherapyVO.class)
    public Result<List<DwdRecipeTherapyVO>> recipeTherapyList(@RequestBody DwdRecipeTherapyQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeTherapy/list >>> {}", JSON.toJSONString(params));
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdRecipeTherapyVO> data= dwdRecipeTherapyBizService.list(params);
        return new Result<List<DwdRecipeTherapyVO>>().ok(data);
    }

    @PostMapping("/recipeTherapyItem/list")
    @ApiOperation(value = "治疗明细列表", response = DwdRecipeTherapyItemVO.class)
    public Result<List<DwdRecipeTherapyItemVO>> recipeTherapyItemList(@RequestBody DwdRecipeTherapyItemQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/recipeTherapyItem/list >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdRecipeTherapyItemVO> data= dwdRecipeTherapyItemBizService.list(params);
        return new Result<List<DwdRecipeTherapyItemVO>>().ok(data);
    }

    ////// 住院

    @PostMapping("/inpatientRecord/list")
    @ApiOperation(value = "住院列表", response = DwdInpatientRecordVO.class)
    public Result<List<DwdInpatientRecordVO>> inpatientRecordList(@RequestBody DwdInpatientRecordQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/inpatientRecord/list >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdInpatientRecordVO> data= dwdInpatientRecordBizService.simpleList2(params);
        return new Result<List<DwdInpatientRecordVO>>().ok(data);
    }

    ////// 就诊

    @PostMapping("/visitRecord/list")
    @ApiOperation(value = "住院列表", response = DwdVisitRecordVO.class)
    public Result<List<DwdVisitRecordVO>> visitRecordList(@RequestBody DwdVisitRecordQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/visitRecord/list >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // } else if (CollectionUtil.isNotEmpty(params.getPatientIds())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdsByMainPersonIds(params.getPatientIds());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //     }
        // }
        
        List<DwdVisitRecordVO> data= dwdVisitRecordBizService.simpleList(params);
        return new Result<List<DwdVisitRecordVO>>().ok(data);
    }

    // 出院
    
    @PostMapping("/discharge/query")
    @ApiOperation(value = "出院分页", response = DwdDischargeRecordVO.class)
    public Result<PageData<DwdDischargeRecordVO>> dischargequery(@RequestBody DwdDischargeRecordQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/discharge/query >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        PageData<DwdDischargeRecordVO> data= dwdDischargeRecordBizService.query(params);
        return new Result<PageData<DwdDischargeRecordVO>>().ok(data);
    }


    ////// 出院小结

    @PostMapping("/discharge/content/query")
    @ApiOperation(value = "出院小结分页", response = DwdDischargeContentVO.class)
    public Result<PageData<DwdDischargeContentVO>> dischargeContentQuery(@RequestBody DwdDischargeContentQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/discharge/content/query >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        PageData<DwdDischargeContentVO> data= dwdDischargeContentBizService.query(params);
        return new Result<PageData<DwdDischargeContentVO>>().ok(data);
    }

    @PostMapping("/discharge/content/list")
    @ApiOperation(value = "出院小结列表", response = DwdDischargeContentVO.class)
    public Result<List<DwdDischargeContentVO>> dischargeContentList(@RequestBody DwdDischargeContentQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/discharge/content/list >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // }
        
        List<DwdDischargeContentVO> data= dwdDischargeContentBizService.list(params);

        // 若参数有id列表，则数据返回顺序与id列表一致，用于数据推理
        if (CollectionUtil.isNotEmpty(data) && CollectionUtil.isNotEmpty(params.getIds())) {
            List<DwdDischargeContentVO> orderData = new ArrayList<>();
            Map<String, DwdDischargeContentVO> map = data.stream().collect(Collectors.toMap(DwdDischargeContentVO::getId, i -> i));
            params.getIds().forEach(i -> orderData.add(map.get(i)));
            return new Result<List<DwdDischargeContentVO>>().ok(orderData);
        }

        return new Result<List<DwdDischargeContentVO>>().ok(data);
    }

    @PostMapping("/discharge/content")
    @ApiOperation(value = "出院小结", response = DwdDischargeContentVO.class)
    public Result<DwdDischargeContentVO> dischargeContent(@RequestBody DwdDischargeContentQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/discharge/content >>> ");
        // LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        // 患者id转化
        // if (StrUtil.isNotBlank(params.getPatientId())) {
        //     List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(params.getPatientId());
        //     if (CollectionUtil.isNotEmpty(patientIds)) {
        //         params.setPatientIds(patientIds);
        //         params.setPatientId(null);
        //     }
        // }
        
        DwdDischargeContentVO data= dwdDischargeContentBizService.getOne(params);
        return new Result<DwdDischargeContentVO>().ok(data);
    }

    ////// 诊断

    @PostMapping("/diagnosisReport/query")
    @ApiOperation(value = "诊断分页", response = DwdDiagnosisReportVO.class)
    public Result<PageData<DwdDiagnosisReportVO>> diagnosisReportQuery(@RequestBody DwdDiagnosisReportQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/diagnosisReport/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        PageData<DwdDiagnosisReportVO> data= dwdDiagnosisReportBizService.query(params);
        return new Result<PageData<DwdDiagnosisReportVO>>().ok(data);
    }

    ////// 电子病历

    @PostMapping("/medicalRecord/content/query")
    @ApiOperation(value = "电子病历内容分页", response = DwdPatientMedicalRecordContentVO.class)
    public Result<PageData<DwdPatientMedicalRecordContentVO>> medicalRecordContentQuery(@RequestBody DwdPatientMedicalRecordContentQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/medicalRecord/content/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        PageData<DwdPatientMedicalRecordContentVO> data= dwdPatientMedicalRecordContentBizService.query(params);
        return new Result<PageData<DwdPatientMedicalRecordContentVO>>().ok(data);
    }

    @PostMapping("/medicalRecord/content/list")
    @ApiOperation(value = "电子病历内容列表", response = DwdPatientMedicalRecordContentVO.class)
    public Result<List<DwdPatientMedicalRecordContentVO>> medicalRecordContentList(@RequestBody DwdPatientMedicalRecordContentQueryDTO params) {
        log.info("/dw/dwd/data/doctor/patient/medicalRecord/content/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        List<DwdPatientMedicalRecordContentVO> data= dwdPatientMedicalRecordContentBizService.list(params);
        return new Result<List<DwdPatientMedicalRecordContentVO>>().ok(data);
    }

    @PostMapping("/medicalRecord/content/detail")
    @ApiOperation(value = "电子病历内容列表", response = DwdPatientMedicalRecordContentVO.class)
    public Result<DwdPatientMedicalRecordContentVO> medicalRecordContentDetail(@RequestBody DwdPatientMedicalRecordContentGetDTO params) {
        log.info("/dw/dwd/data/doctor/patient/medicalRecord/content/detail >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        DwdPatientMedicalRecordContentVO data= dwdPatientMedicalRecordContentBizService.detail(params);
        return new Result<DwdPatientMedicalRecordContentVO>().ok(data);
    }

}
