package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD收费记录信息表
 * </p>
 */

@Deprecated
@Data
public class DwdCollectFeeRecordInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 就诊记录号
     */
     @ApiModelProperty(value = "就诊记录号")
      private String visitId;

    /**
     * 患者姓名
     */
     @ApiModelProperty(value = "患者姓名")
      private String patientName;

    /**
     * 收费项目名称(原始)
     */
     @ApiModelProperty(value = "收费项目名称(原始)")
      private String itemNameRaw;

    /**
     * 收费项目名称(标准)
     */
     @ApiModelProperty(value = "收费项目名称(标准)")
      private String itemNameStandard;

    /**
     * 收费项目编号(原始)
     */
     @ApiModelProperty(value = "收费项目编号(原始)")
      private String itemCodeRaw;

    /**
     * 收费项目编号(标准)
     */
     @ApiModelProperty(value = "收费项目编号(标准)")
      private String itemCodeStandard;

    /**
     * 科室名称(原始)
     */
     @ApiModelProperty(value = "科室名称(原始)")
      private String departmentNameRaw;

    /**
     * 科室名称(标准)
     */
     @ApiModelProperty(value = "科室名称(标准)")
      private String departmentNameStandard;

    /**
     * 科室编码(原始)
     */
     @ApiModelProperty(value = "科室编码(原始)")
      private String departmentCodeRaw;

    /**
     * 科室编码(标准)
     */
     @ApiModelProperty(value = "科室编码(标准)")
      private String departmentCodeStandard;

    /**
     * 收费金额
     */
     @ApiModelProperty(value = "收费金额")
      private BigDecimal amount;

    /**
     * 收费时间
     */
     @ApiModelProperty(value = "收费时间")
      private Date feeDate;

    /**
     * 状态(原始)
     */
     @ApiModelProperty(value = "状态(原始)")
      private String statusRaw;

    /**
     * 状态(标准)
     */
     @ApiModelProperty(value = "状态(标准)")
      private String statusStandard;

    /**
     * 场景分类(原始)
     */
     @ApiModelProperty(value = "场景分类(原始)")
      private String typeRaw;

    /**
     * 场景分类(标准)
     */
     @ApiModelProperty(value = "场景分类(标准)")
      private String typeStandard;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date opDate;


}
