package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD体检总报告数据表
 * </p>
 *
 * @author anros
 * @since 2023-09-07
 */
@Deprecated
@Data
public class DwdMedicalGeneralReportInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 就诊记录号
     */
     @ApiModelProperty(value = "就诊记录号")
      private String visitId;

    /**
     * 体检编号
     */
     @ApiModelProperty(value = "体检编号")
      private String medicalCode;

    /**
     * 患者姓名
     */
     @ApiModelProperty(value = "患者姓名")
      private String patientName;

    /**
     * 身份证编号
     */
     @ApiModelProperty(value = "身份证编号")
      private String idCardNo;

    /**
     * 科室名称(原始)
     */
     @ApiModelProperty(value = "科室名称(原始)")
      private String departmentNameRaw;

    /**
     * 科室名称(标准)
     */
     @ApiModelProperty(value = "科室名称(标准)")
      private String departmentNameStandard;

    /**
     * 科室编码(原始)
     */
     @ApiModelProperty(value = "科室编码(原始)")
      private String departmentCodeRaw;

    /**
     * 科室编码(标准)
     */
     @ApiModelProperty(value = "科室编码(标准)")
      private String departmentCodeStandard;

    /**
     * 报告时间
     */
     @ApiModelProperty(value = "报告时间")
      private Date reportDate;

    /**
     * 体检报告医生编号
     */
     @ApiModelProperty(value = "体检报告医生编号")
      private String doctorCode;

    /**
     * 体检报告医生姓名
     */
     @ApiModelProperty(value = "体检报告医生姓名")
      private String doctorName;

    /**
     * 报告内容(原始)
     */
     @ApiModelProperty(value = "报告内容(原始)")
      private String contentRaw;

    /**
     * 报告内容(标准)
     */
     @ApiModelProperty(value = "报告内容(标准)")
      private String contentStandard;

    /**
     * pdf地址
     */
     @ApiModelProperty(value = "pdf地址")
      private String pdfUrl;

    /**
     * 状态(原始)
     */
     @ApiModelProperty(value = "状态(原始)")
      private String statusRaw;

    /**
     * 状态(标准)
     */
     @ApiModelProperty(value = "状态(标准)")
      private String statusStandard;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date opDate;


}
