package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD体检阳性问题表
 * </p>
 *
 * @author anros
 * @since 2023-09-07
 */
@Deprecated
@Data
public class DwdMedicalProblemInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 就诊记录号
     */
     @ApiModelProperty(value = "就诊记录号")
      private String visitId;

    /**
     * 患者姓名
     */
     @ApiModelProperty(value = "患者姓名")
      private String patientName;

    /**
     * 阳性指标名称(原始)
     */
     @ApiModelProperty(value = "阳性指标名称(原始)")
      private String itemNameRaw;

    /**
     * 阳性指标名称(标准)
     */
     @ApiModelProperty(value = "阳性指标名称(标准)")
      private String itemNameStandard;

    /**
     * 危重等级(原始)
     */
     @ApiModelProperty(value = "危重等级(原始)")
      private String problemLevelRaw;

    /**
     * 危重等级(标准)
     */
     @ApiModelProperty(value = "危重等级(标准)")
      private String problemLevelStandard;

    /**
     * 对应报告id
     */
     @ApiModelProperty(value = "对应报告id")
      private String reportId;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date opDate;


}
