package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD客户主信息表
 * </p>
 */
@Data
public class DwdPersonInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 姓名
     */
     @ApiModelProperty(value = "姓名")
      private String name;

    /**
     * 证件类型
     */
     @ApiModelProperty(value = "证件类型")
      private String cardNoType;

    /**
     * 证件号
     */
     @ApiModelProperty(value = "证件号")
      private String cardNo;

    /**
     * 性别
     */
     @ApiModelProperty(value = "性别")
      private String gender;

    /**
     * 生日
     */
     @ApiModelProperty(value = "生日")
      private String birthday;

    /**
     * 电话号码
     */
     @ApiModelProperty(value = "电话号码")
      private String phone;

    /**
     * 备注信息
     */
     @ApiModelProperty(value = "备注信息")
      private String remark;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;

    /**
     * 操作人
     */
     @ApiModelProperty(value = "操作人")
      private String opDataUser;


}
