package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD病理申请单数据信息表
 * </p>
 *
 * @author anros
 * @since 2023-09-07
 */
@Deprecated
@Data
public class DwdRecipePathologyApplyInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 就诊记录号
     */
     @ApiModelProperty(value = "就诊记录号")
      private String visitId;

    /**
     * 关联处方id
     */
     @ApiModelProperty(value = "关联处方id")
      private String recipeId;

    /**
     * 住院号
     */
     @ApiModelProperty(value = "住院号")
      private String inPatientNo;

    /**
     * 患者姓名
     */
     @ApiModelProperty(value = "患者姓名")
      private String patientName;

    /**
     * 申请科室名称(原始)
     */
     @ApiModelProperty(value = "申请科室名称(原始)")
      private String departmentNameRaw;

    /**
     * 申请科室名称(标准)
     */
     @ApiModelProperty(value = "申请科室名称(标准)")
      private String departmentNameStandard;

    /**
     * 申请科室编码(原始)
     */
     @ApiModelProperty(value = "申请科室编码(原始)")
      private String departmentCodeRaw;

    /**
     * 申请科室编码(标准)
     */
     @ApiModelProperty(value = "申请科室编码(标准)")
      private String departmentCodeStandard;

    /**
     * 申请支付时间
     */
     @ApiModelProperty(value = "申请支付时间")
      private Date payTime;

    /**
     * 申请时间
     */
     @ApiModelProperty(value = "申请时间")
      private Date applyDate;

    /**
     * 场景分类(原始)
     */
     @ApiModelProperty(value = "场景分类(原始)")
      private String typeRaw;

    /**
     * 场景分类(标准)
     */
     @ApiModelProperty(value = "场景分类(标准)")
      private String typeStandard;

    /**
     * 申请医生编号
     */
     @ApiModelProperty(value = "申请医生编号")
      private String doctorCode;

    /**
     * 申请医生姓名
     */
     @ApiModelProperty(value = "申请医生姓名")
      private String doctorName;

    /**
     * 医嘱诊断编号(原始)
     */
     @ApiModelProperty(value = "医嘱诊断编号(原始)")
      private String diagnosisCodeRaw;

    /**
     * 医嘱诊断编号(标准)
     */
     @ApiModelProperty(value = "医嘱诊断编号(标准)")
      private String diagnosisCodeStandard;

    /**
     * 医嘱诊断内容(原始)
     */
     @ApiModelProperty(value = "医嘱诊断内容(原始)")
      private String diagnosisNameRaw;

    /**
     * 医嘱诊断内容(标准)
     */
     @ApiModelProperty(value = "医嘱诊断内容(标准)")
      private String diagnosisNameStandard;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opDate;


}
