package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ODS体检报告结果信息表
 * </p>
 */

 @Data
public class OdsExaminationReportResultInfo {
    
    private static final long serialVersionUID = 1L;

    /**
     * 体检记录号，就是体检患者id
     */
     @ApiModelProperty(value = "体检记录号，就是体检患者id")
    @TableId(value = "visit_id", type = IdType.INPUT)
      private String visitId;

    /**
     * 身份证号
     */
     @ApiModelProperty(value = "身份证号")
      private String idCard;

    /**
     * 报告内容
     */
     @ApiModelProperty(value = "报告内容")
      private String reportContent;

    /**
     * 报告建议
     */
     @ApiModelProperty(value = "报告建议")
      private String reportSuggest;

    /**
     * 医生名称
     */
     @ApiModelProperty(value = "医生名称")
      private String doctorName;

    /**
     * 数据创建时间
     */
     @ApiModelProperty(value = "数据创建时间")
      private Date dataCreateDate;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date dataUpdateDate;

    /**
     * 数据操作人
     */
     @ApiModelProperty(value = "数据操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opUpdateData;


}
