package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ODS患者既往史信息表
 * </p>
 */

 @Data
public class OdsPatientPastHisInfo {
    
    private static final long serialVersionUID = 1L;

    /**
     * 挂号流水号
     */
     @ApiModelProperty(value = "挂号流水号")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 挂号流水号
     */
     @ApiModelProperty(value = "挂号流水号")
      private String registerId;

    /**
     * 看诊时间
     */
     @ApiModelProperty(value = "看诊时间")
      private Date treatDate;

    /**
     * 医生编号
     */
     @ApiModelProperty(value = "医生编号")
      private String docCode;

    /**
     * 医生名称
     */
     @ApiModelProperty(value = "医生名称")
      private String docName;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String status;

    /**
     * pid
     */
     @ApiModelProperty(value = "pid")
      private String pid;

    /**
     * 患者名称
     */
     @ApiModelProperty(value = "患者名称")
      private String patientName;

    /**
     * 患者年龄
     */
     @ApiModelProperty(value = "患者年龄")
      private String age;

    /**
     * 患者性别
     */
     @ApiModelProperty(value = "患者性别")
      private String sex;

    /**
     * 患者身份证号
     */
     @ApiModelProperty(value = "患者身份证号")
      private String idCard;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 科室名称
     */
     @ApiModelProperty(value = "科室名称")
      private String deptName;

    /**
     * 现病史
     */
     @ApiModelProperty(value = "现病史")
      private String illnessNow;

    /**
     * 主诉
     */
     @ApiModelProperty(value = "主诉")
      private String illnessTell;

    /**
     * 既往史
     */
     @ApiModelProperty(value = "既往史")
      private String illnessHistory;

    /**
     * 辅助检查
     */
     @ApiModelProperty(value = "辅助检查")
      private String assistantCheck;

    /**
     * 病历原文
     */
     @ApiModelProperty(value = "病历原文")
      private String content;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private String dataUpdateDate;

    /**
     * 数据操作人
     */
     @ApiModelProperty(value = "数据操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opUpdateData;

}
