package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdExamineReportQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "就诊id")
    private String visitId;

    @ApiModelProperty(value = "就诊id列表")
    private List<String> visitIds;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty(value = "检查类别(原始)")
    private String examineTypeRaw;
  
    @ApiModelProperty(value = "检查类别(标准)")
    private String examineTypeStandard;

    @ApiModelProperty(value = "报告名称(原始)")
    private String reportNameRaw;

    // 标准报告名字存的是id，对应的表为s_md_standard_examine_project_name_info
    @ApiModelProperty(value = "报告名称(标准)")
    private String reportNameStandard;
    
    @ApiModelProperty(value = "报告名称(标准)列表")
    private List<String> reportNameStandards;

    /**
     * 活动编号
     */
    @ApiModelProperty(value = "活动编号")
    private String activityNo;

    @ApiModelProperty(value = "活动编号列表")
    private List<String> activityNos;

    @ApiModelProperty(value = "是否是活动[Y/N]")
    private String isActivity;
}
