package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdInpatientRecordQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "id列表")
    private List<String> ids;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "住院开始时间")
    private String startDate;

    @ApiModelProperty(value = "住院结束时间")
    private String endDate;

    @ApiModelProperty(value = "数据类型[DwdConstant.DataTypeEnum]")
    private String dataType;

    // 按部门查询
    @ApiModelProperty(value = "部门id")
    private String deptId;

    @ApiModelProperty(value = "是否查询本部门数据[YN]")
    private String isDept;

}
