package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdLaboratoryAndExamineReportQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "就诊id")
    private String visitId;

    @ApiModelProperty(value = "就诊id列表")
    private List<String> visitIds;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;


    /**
     * 活动编号
     */
    @ApiModelProperty(value = "活动编号")
    private String activityNo;

    @ApiModelProperty(value = "活动编号列表")
    private List<String> activityNos;

    @ApiModelProperty(value = "是否是活动[Y/N]")
    private String isActivity;
}
