package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdLaboratoryReportItemQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "检验报告单ID")
    private String laboratoryReportId;

    @ApiModelProperty(value = "检验报告单ID列表")
    private List<String> laboratoryReportIds;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @ApiModelProperty(value = "是否异常[YN]")
    private String isAbnormal;

    

    @ApiModelProperty(value = "检验项目编码(原始)")
    private String projectIdRaw;

    @ApiModelProperty(value = "检验项目编码(标准)")
    private String projectIdStandard;

    @ApiModelProperty(value = "检验项目编码(标准)列表")
    private List<String> projectIdStandards;

    @ApiModelProperty(value = "检验项目名称(原始)")
    private String nameRaw;

    @ApiModelProperty(value = "检验项目名称(标准)")
    private String nameStandard;

}
