package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD电子病例内容信息表
 * </p>
 */
@Getter
@Setter
public class DwdPatientMedicalRecordContentQueryDTO extends BasePageDTO  {

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者编号")
    private List<String> patientIds;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

}
