package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD电子病例信息表
 * </p>
 */
@Data
public class DwdPatientMedicalRecordQueryDTO  {

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 患者姓名
     */
    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    /**
     * 患者类型(标准)
     */
    @ApiModelProperty(value = "患者类型(标准)")
    private String patientTypeStandard;

    /**
     * 申请科室名称(标准)
     */
    @ApiModelProperty(value = "申请科室名称(标准)")
    private String departmentNameStandard;

    /**
     * 申请科室编码(标准)
     */
    @ApiModelProperty(value = "申请科室编码(标准)")
    private String departmentCodeStandard;

    /**
     * 医生编号
     */
    @ApiModelProperty(value = "医生编号")
    private String doctorCode;

    /**
     * 医生姓名
     */
    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    /**
     * 状态编号(标准)
     */
    @ApiModelProperty(value = "状态编号(标准)")
    private String statusStandard;

}
