package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdRecipeMedicineQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者ids")
    private List<String> patientIds;

    @ApiModelProperty(value = "就诊id")
    private String visitId;

    @ApiModelProperty(value = "就诊id列表")
    private List<String> visitIds;

    @ApiModelProperty(value = "开始时间")
    private Date startDate;

    @ApiModelProperty(value = "结束时间")
    private Date endDate;

}
