package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ODS患者首次病程信息表
 * </p>
 */

 @Data
public class OdsFirstCourseIllnessQueryDTO {
    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 住院号
     */
     @ApiModelProperty(value = "住院号")
      private String ipId;

      @ApiModelProperty(value = "住院号列表")
      private List<String> ipIds;
  
    /**
     * 患者号
     */
     @ApiModelProperty(value = "患者号")
      private String pid;

    /**
     * 节点时间
     */
     @ApiModelProperty(value = "节点时间")
      private Date nodeDate;

}
