package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

// DWD检查申请单明细信息表
@Getter
@Setter
public class DwdExamineApplyItemVO {

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 检查申请单流水号
     */
     @ApiModelProperty(value = "检查申请单流水号")
      private String applyId;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 项目分类(原始)
     */
     @ApiModelProperty(value = "项目分类(原始)")
      private String typeRaw;

    /**
     * 项目分类(标准)
     */
     @ApiModelProperty(value = "项目分类(标准)")
      private String typeStandard;

    /**
     * 项目编号(原始)
     */
     @ApiModelProperty(value = "项目编号(原始)")
      private String codeRaw;

    /**
     * 项目编号(标准)
     */
     @ApiModelProperty(value = "项目编号(标准)")
      private String codeStandard;

    /**
     * 项目名称(原始)
     */
     @ApiModelProperty(value = "项目名称(原始)")
      private String nameRaw;

    /**
     * 项目名称(标准)
     */
     @ApiModelProperty(value = "项目名称(标准)")
      private String nameStandard;

    /**
     * 部位编号(原始)
     */
     @ApiModelProperty(value = "部位编号(原始)")
      private String partCodeRaw;

    /**
     * 部位编号(标准)
     */
     @ApiModelProperty(value = "部位编号(标准)")
      private String partCodeStandard;

    /**
     * 部位名称(原始)
     */
     @ApiModelProperty(value = "部位名称(原始)")
      private String partNameRaw;

    /**
     * 部位名称(标准)
     */
     @ApiModelProperty(value = "部位名称(标准)")
      private String partNameStandard;

    /**
     * 数据更新时间(原始)
     */
     @ApiModelProperty(value = "数据更新时间(原始)")
      private Date dataUpdateDate;

    /**
     * 操作人
     */
     @ApiModelProperty(value = "操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opDate;


}
