package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo;

import java.util.Date;
import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModelProperty;

// DWD手术申请明细信息表
@Getter
@Setter
public class DwdOperationApplyItemVO {

  /**
   * 患者编号
   */
  @ApiModelProperty(value = "患者编号")
  private String patientId;

  /**
   * id
   */
  @ApiModelProperty(value = "id")
  private String id;

  /**
   * 医嘱手术申请ID
   */
  @ApiModelProperty(value = "医嘱手术申请ID")
  private String operationApplyId;

  /**
   * 手术名称(原始)
   */
  @ApiModelProperty(value = "手术名称(原始)")
  private String nameRaw;

  /**
   * 手术名称(标准)
   */
  @ApiModelProperty(value = "手术名称(标准)")
  private String nameStandard;

  /**
   * 手术编码(原始)
   */
  @ApiModelProperty(value = "手术编码(原始)")
  private String codeRaw;

  /**
   * 手术编码(标准)
   */
  @ApiModelProperty(value = "手术编码(标准)")
  private String codeStandard;

  /**
   * 预计手术时长
   */
  @ApiModelProperty(value = "预计手术时长")
  private String estOptDuration;

  /**
   * 手术类别(原始)
   */
  @ApiModelProperty(value = "手术类别(原始)")
  private String operationTypeRaw;

  /**
   * 手术类别(标准)
   */
  @ApiModelProperty(value = "手术类别(标准)")
  private String operationTypeStandard;

  /**
   * 手术等级(原始)
   */
  @ApiModelProperty(value = "手术等级(原始)")
  private String operationLevelRaw;

  /**
   * 手术等级(标准)
   */
  @ApiModelProperty(value = "手术等级(标准)")
  private String operationLevelStandard;

  /**
   * 麻醉方法(原始)
   */
  @ApiModelProperty(value = "麻醉方法(原始)")
  private String anaesthesiaMethodRaw;

  /**
   * 麻醉方法(标准)
   */
  @ApiModelProperty(value = "麻醉方法(标准)")
  private String anaesthesiaMethodStandard;

  /**
   * 数据更新时间(原始)
   */
  @ApiModelProperty(value = "数据更新时间(原始)")
  private Date dataUpdateDate;

  /**
   * 操作人
   */
  @ApiModelProperty(value = "操作人")
  private String opDataUser;

  /**
   * 数据操作时间
   */
  @ApiModelProperty(value = "数据操作时间")
  private Date opDate;

}
