package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ODS患者首次病程信息表
 * </p>
 */

 @Data
public class OdsFirstCourseIllnessVO {
    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 住院号
     */
     @ApiModelProperty(value = "住院号")
      private String ipId;

    /**
     * 患者号
     */
     @ApiModelProperty(value = "患者号")
      private String pid;

    /**
     * 节点时间
     */
     @ApiModelProperty(value = "节点时间")
      private Date nodeDate;

    /**
     * 节点分类编号
     */
     @ApiModelProperty(value = "节点分类编号")
      private String nodeType;

    /**
     * 节点分类名称
     */
     @ApiModelProperty(value = "节点分类名称")
      private String nodeTypeName;

    /**
     * 高等级医生编号
     */
     @ApiModelProperty(value = "高等级医生编号")
      private String highDocCode;

    /**
     * 高等级医生名称
     */
     @ApiModelProperty(value = "高等级医生名称")
      private String highDocName;

    /**
     * 病例内容
     */
     @ApiModelProperty(value = "病例内容")
      private String content;

    /**
     * 提交时间
     */
     @ApiModelProperty(value = "提交时间")
      private Date submitTime;

    /**
     * 医生编号
     */
     @ApiModelProperty(value = "医生编号")
      private String docCode;

    /**
     * 医生名称
     */
     @ApiModelProperty(value = "医生名称")
      private String docName;

    /**
     * 科室编号
     */
     @ApiModelProperty(value = "科室编号")
      private String deptCode;

    /**
     * 科室名称
     */
     @ApiModelProperty(value = "科室名称")
      private String deptName;

    /**
     * 病区号
     */
     @ApiModelProperty(value = "病区号")
      private String wardCode;

    /**
     * 病区名称
     */
     @ApiModelProperty(value = "病区名称")
      private String wardName;

    /**
     * 修改人
     */
     @ApiModelProperty(value = "修改人")
      private String modifyCode;

    /**
     * 修改名称
     */
     @ApiModelProperty(value = "修改名称")
      private String modifyName;

    /**
     * 模板ID
     */
     @ApiModelProperty(value = "模板ID")
      private String templateId;

    /**
     * 模板版本号
     */
     @ApiModelProperty(value = "模板版本号")
      private String templateVersion;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private String dataUpdateDate;

    /**
     * 数据操作人
     */
     @ApiModelProperty(value = "数据操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opUpdateData;

}
