package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineReserveInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReserveQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReserveVO;

import java.util.List;

/**
 * <p>
 * DWD检查预约记录信息
 * </p>
 */
public interface DwdExamineReserveBizService {

    public List<DwdExamineReserveVO> list(DwdExamineReserveQueryDTO params);

    public List<DwdExamineReserveVO> listByPatientId(String patientId);

    public List<DwdExamineReserveVO> listByPatientId(List<String> patientIds);

    public DwdExamineReserveVO getById(String id);



    public List<DwdExamineReserveInfo> listBeanByPatient(String patientId);

    public List<DwdExamineReserveInfo> listBeanByPatient(List<String> patientIds);


}
