package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientChangeInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdInpatientChangeQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientChangeVO;

import java.util.List;

/**
 * <p>
 * DWD住院更改记录信息表
 * </p>
 */
public interface DwdInpatientChangeBizService {

    public List<DwdInpatientChangeVO> list(DwdInpatientChangeQueryDTO params);

    public List<DwdInpatientChangeVO> listByPatientId(String patientId);

    public List<DwdInpatientChangeVO> listByPatientId(List<String> patientIds);

    public DwdInpatientChangeVO getById(String id);



    public List<DwdInpatientChangeInfo> listBeanByPatient(String patientId);

    public List<DwdInpatientChangeInfo> listBeanByPatient(List<String> patientIds);

    public List<DwdInpatientChangeInfo> listBeanByPatient(String patientId,List<String> changeTypes);

    public List<DwdInpatientChangeInfo> listBeanByPatient(List<String> patientIds,List<String> changeTypes);

}
