package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdInpatientRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;

import java.util.List;

/**
 * <p>
 * DWD住院记录信息表
 * </p>
 */
public interface DwdInpatientRecordBizService {

    public List<DwdInpatientRecordVO> list(DwdInpatientRecordQueryDTO params);

    public List<DwdInpatientRecordVO> listByPatientId(String patientId);

    public List<DwdInpatientRecordVO> listByPatientId(List<String> patientIds);

    public DwdInpatientRecordVO getById(String id);



    public List<DwdInpatientRecordInfo> listBeanByPatient(String patientId);

    public List<DwdInpatientRecordInfo> listBeanByPatient(List<String> patientIds);


    public List<DwdInpatientRecordVO> simpleList(DwdInpatientRecordQueryDTO params);

    public List<DwdInpatientRecordVO> simpleList2(DwdInpatientRecordQueryDTO params);

}
