package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientReserveInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdInpatientReserveQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientReserveVO;

import java.util.List;

/**
 * <p>
 * DWD预约住院信息记录信息表
 * </p>
 */
public interface DwdInpatientReserveBizService {

    public List<DwdInpatientReserveVO> list(DwdInpatientReserveQueryDTO params);

    public List<DwdInpatientReserveVO> listByPatientId(String patientId);

    public List<DwdInpatientReserveVO> listByPatientId(List<String> patientIds);

    public DwdInpatientReserveVO getById(String id);


    public List<DwdInpatientReserveInfo> listBeanByPatient(String patientId);

    public List<DwdInpatientReserveInfo> listBeanByPatient(List<String> patientIds);

}
