package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryApplyGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryApplyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryApplyVO;

import java.util.List;

/**
 * <p>
 * DWD检验申请单数据
 * </p>
 */
public interface DwdLaboratoryApplyBizService {

    public List<DwdLaboratoryApplyVO> list(DwdLaboratoryApplyQueryDTO params);

    public DwdLaboratoryApplyVO detail(DwdLaboratoryApplyGetDTO params);

    public List<DwdLaboratoryApplyVO> listByPatientId(String patientId);

    public List<DwdLaboratoryApplyVO> listByPatientId(List<String> patientIds);

    public DwdLaboratoryApplyVO getById(String id);



    public List<DwdLaboratoryApplyInfo> listBeanByPatient(String patientId);

    public List<DwdLaboratoryApplyInfo> listBeanByPatient(List<String> patientIds);





}
