package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryReportItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportItemVO;

import java.util.List;

/**
 * <p>
 * DWD检验报告单明细信息表
 * </p>
 */
public interface DwdLaboratoryReportItemBizService {

    public List<DwdLaboratoryReportItemVO> list(DwdLaboratoryReportItemQueryDTO params);

    public List<DwdLaboratoryReportItemVO> listByPatientId(String patientId);

    public List<DwdLaboratoryReportItemVO> listByPatientIds(List<String> patientIds);

    public DwdLaboratoryReportItemVO getById(String id);


    public List<DwdLaboratoryReportItemInfo> listBeanByPatient(String patientId);

    public List<DwdLaboratoryReportItemInfo> listBeanByPatient(List<String> patientIds);



}
