package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationApplyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationApplyVO;

import java.util.List;

/**
 * <p>
 * DWD手术申请数据
 * </p>
 */
public interface DwdOperationApplyBizService {

    public List<DwdOperationApplyVO> list(DwdOperationApplyQueryDTO params);

    public List<DwdOperationApplyVO> listByPatientId(String patientId);

    public List<DwdOperationApplyVO> listByPatientId(List<String> patientIds);

    public DwdOperationApplyVO getById(String id);



    public List<DwdOperationApplyInfo> listBeanByPatient(String patientId);

    public List<DwdOperationApplyInfo> listBeanByPatient(List<String> patientIds);


}
