package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientQueryDTO;

import java.util.List;
import java.util.Map;

/**
 * 患者
 * */
public interface DwdPatientBizService {

    public IPage<DwdPatientInfo> query(DwdPatientQueryDTO params);

//    public List<DwdPatientInfo> listByIdCardNo(String cardNoType ,String cardNo);


    public List<DwdPatientInfo> listByIds(List<String> patientIds);

    public DwdPatientInfo getById(String patientId);


    // 主表患者id与常规患者表患者id转化
    public List<String> getPatientIdByMainPersonId(String mainPersonId); // 一个主id可能对应多条患者id

    public List<String> getPatientIdsByMainPersonIds(List<String> mainPersonIds);

    public Map<String, List<String>> mapPatientIdsByMainPersonIds(List<String> mainPersonIds);

    public String getMainPersonIdByPatientId(String patientId);

    public List<String> getMainPersonIdsByPatientIds(List<String> patientIds);

    public Map<String, String> mapMainPersonIdsByPatientIds(List<String> patientIds);


}
