package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExaminationPatientVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientDataVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;

import java.util.List;

/**
 *  患者就诊住院数据
 */
public interface DwdPatientDataBizService {

    public List<DwdPatientDataVO> list(DwdPatientDataQueryDTO params);

    public List<DwdVisitRecordVO> visitRecordList(DwdPatientDataQueryDTO params);

    public List<DwdInpatientRecordVO> inpatientRecordList(DwdPatientDataQueryDTO params);

    public List<DwdExaminationPatientVO> examinationPatientList(DwdPatientDataQueryDTO params);

}
