package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import java.util.List;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientEmrBodyCheckBasicInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientEmrSymptomInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientMedicalRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientMedicalRecordGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientMedicalRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientEmrBodyCheckBasicVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientEmrSymptomVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientMedicalRecordVO;
import com.xxh.cloud.framework.common.page.PageData;

/**
 * <p>
 * DWD电子病例信息表
 * </p>
 */
public interface DwdPatientMedicalRecordBizService {

    public PageData<DwdPatientMedicalRecordVO> query(DwdPatientMedicalRecordQueryDTO params);

    public List<DwdPatientMedicalRecordVO> list(DwdPatientMedicalRecordQueryDTO params);

    public DwdPatientMedicalRecordVO detail(DwdPatientMedicalRecordGetDTO params);


    public List<DwdPatientMedicalRecordVO> listMedicalByPatient(String patientId);

    public List<DwdPatientEmrSymptomVO> listSymptomByPatient(String patientId);

    public List<DwdPatientEmrBodyCheckBasicVO> listCheckBasicByPatient(String patientId);


    public List<DwdPatientMedicalRecordInfo> listMedical2ByPatient(String patientId);

    public List<DwdPatientEmrSymptomInfo> listSymptom2ByPatient(String patientId);

    public List<DwdPatientEmrBodyCheckBasicInfo> listCheckBasic2ByPatient(String patientId);


    public List<DwdPatientMedicalRecordInfo> listMedical2ByPatients(List<String> patientIds);

    public List<DwdPatientEmrSymptomInfo> listSymptom2ByPatients(List<String> patientIds);

    public List<DwdPatientEmrBodyCheckBasicInfo> listCheckBasic2ByPatients(List<String> patientIds);


    //
}
