package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeMedicineItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineItemVO;

import java.util.List;

/**
 * <p>
 * DWD医嘱用药明细数据表
 * </p>
 */
public interface DwdRecipeMedicineItemBizService {

    public List<DwdRecipeMedicineItemVO> list(DwdRecipeMedicineItemQueryDTO params);

    public List<DwdRecipeMedicineItemVO> listByPatientId(String patientId);

    public List<DwdRecipeMedicineItemVO> listByPatientId(List<String> patientIds);

    public DwdRecipeMedicineItemVO getById(String id);


    public List<DwdRecipeMedicineItemInfo> listBeanByPatient(String patientId);

    public List<DwdRecipeMedicineItemInfo> listBeanByPatient(List<String> patientIds);


}
