package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRegisterRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRegisterRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRegisterRecordVO;

import java.util.List;

/**
 * <p>
 * DWD挂号记录信息表
 * </p>
 */
public interface DwdRegisterRecordBizService {

    public List<DwdRegisterRecordVO> list(DwdRegisterRecordQueryDTO params);

    public List<DwdRegisterRecordVO> listByPatientId(String patientId);

    public List<DwdRegisterRecordVO> listByPatientId(List<String> patientIds);

    public DwdRegisterRecordVO getById(String id);

    public List<DwdRegisterRecordInfo> listBeanByPatientId(String patientId);

    public List<DwdRegisterRecordInfo> listBeanByPatientId(List<String> patientIds);
}
