package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdVisitRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdVisitRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 *  就诊记录数据
 * */
public interface DwdVisitRecordBizService {

    /**
     * zs20231027 患者健康档案分页查询
     */
    public PageData<DwdVisitRecordVO> page(DwdVisitRecordQueryDTO params);

    public List<DwdVisitRecordVO> list(DwdVisitRecordQueryDTO params);

    public List<DwdVisitRecordVO> listByPatient(String patientId);

    public List<DwdVisitRecordVO> listByPatient(List<String> patientIds);

    public DwdVisitRecordVO getById(String id);


    public List<DwdVisitRecordInfo> listBeanByPatient(String patientId);

    public List<DwdVisitRecordInfo> listBeanByPatient(List<String> patientIds);

    public List<DwdVisitRecordVO> simpleList(DwdVisitRecordQueryDTO params);

}
