package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExaminationPatientVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;

import java.util.List;
import java.util.concurrent.Future;

/**
 * 异步
 */
public interface PatientDwdDataAsyncBizService {

    public Future<List<DwdVisitRecordVO>> visitRecordList(DwdPatientDataQueryDTO params);

    public Future<List<DwdInpatientRecordVO>> inpatientRecordList(DwdPatientDataQueryDTO params);

    public Future<List<DwdExaminationPatientVO>> examinationPatientList(DwdPatientDataQueryDTO params);

}
