package com.xxh.cloud.dw.healthy.data.dws.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWS患者最新数据日期统计表-2
 * </p>
 */
@Data
public class DwsPatientDataLastDateInfo{

    private static final long serialVersionUID = 1L;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
    @TableId(value = "patient_id", type = IdType.INPUT)
      private String patientId;

    /**
     * 最新数据操作时间
     */
     @ApiModelProperty(value = "最新数据操作时间")
      private Date lastOpDate;


}
