package com.xxh.cloud.dw.healthy.data.dws.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWS患者事件信息表
 * </p>
 *
 * @author anros
 * @since 2023-11-21
 */
@Data
public class DwsPatientEventInfo{

    private static final long serialVersionUID = 1L;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
    @TableId(value = "patient_id", type = IdType.INPUT)
      private String patientId;

    /**
     * 事件分类
     */
     @ApiModelProperty(value = "事件分类")
      private String eventType;

    /**
     * 事件时间
     */
     @ApiModelProperty(value = "事件时间")
      private Date eventDate;


}
