package com.xxh.cloud.dw.healthy.data.framework.modules.demo.loader;

import com.alibaba.fastjson2.JSON;

import java.time.LocalDateTime;
import java.util.*;

public class DorisStreamLoaderTest {


    public List<Map<String,Object>> getDataList(){

        List<Map<String,Object>> data=new ArrayList<>();

        Map<String,Object> map1=new HashMap<>();
        map1.put("patient_id","100");
        map1.put("patient_name","用户100");
        map1.put("id_card_no","身份证100");
//        map1.put("patient_gender_raw","1");
//        map1.put("patient_gender_standard","1");
//        map1.put("birthday","1");
//        map1.put("phone","1");
//        map1.put("remark","1");

        Calendar calendar=Calendar.getInstance();
        calendar.set(Calendar.MILLISECOND,6);

        map1.put("op_date",calendar.getTime());





        Map<String,Object> map2=new HashMap<>();
        map2.put("patient_id","200");
        map2.put("patient_name","用户200");
        map2.put("id_card_no","身份证200");
//        map2.put("patient_gender_raw","1");
//        map2.put("patient_gender_standard","1");
//        map2.put("birthday","1");
//        map2.put("phone","1");
//        map2.put("remark","1");
        map2.put("op_date",calendar.getTime());

        Map<String,Object> map3=new HashMap<>();
        map3.put("patient_id","U003");
        map3.put("patient_name","用户003");
//        map3.put("id_card_no","ID-003");
//        map3.put("op_date", LocalDateTime.now());


        Map<String,Object> map4=new HashMap<>();
        map4.put("patient_id","U004");
        map4.put("patient_name","用户004");
//        map4.put("id_card_no","ID-004");
//        map4.put("op_date", LocalDateTime.now());


        Map<String,Object> map5=new HashMap<>();
        map5.put("patient_id","U005");
        map5.put("patient_name","005");
//        map5.put("id_card_no","I");
        map5.put("op_date", new Date());

        data.add(map1);
        data.add(map2);
//        data.add(map3);
//        data.add(map4);
//        data.add(map5);

        return data;
    }


    public static void main(String[] args) {
        DorisStreamLoaderTest test=new DorisStreamLoaderTest();
        String jsonData= JSON.toJSONString(test.getDataList());
        System.out.println(jsonData);

//        DorisStreamLoader dorisStreamLoader=new DorisStreamLoader("106.15.200.218",8030,"xx_h_data_1","dwd_patient_info","root","123456");
        DorisStreamLoader dorisStreamLoader=new DorisStreamLoader("192.168.124.200",8030,"xx_h_data_1","dwd_patient_info","root","123456");

        try {
            dorisStreamLoader.loadJson(jsonData);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }


    }


}
