package com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.models.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class DwTableConfigBO {

    /**
     * 表编号
     * */
    private String table_name;

    /**
     * 表描述
     * */
    private String table_comment;

    /**
     * 表字段
     * */
    private List<DwTableColumnConfigBO> cols;



    public DwTableConfigBO(String table_name){
        this.table_name=table_name;
    }


    public DwTableConfigBO(String table_name,String table_comment){
        this.table_name=table_name;
        this.table_comment=table_comment;
    }


    public DwTableConfigBO(String table_name,String table_comment,List<DwTableColumnConfigBO> cols){
        this.table_name=table_name;
        this.table_comment=table_comment;
        this.cols=cols;
    }

    public DwTableConfigBO(String table_name,List<DwTableColumnConfigBO> cols){
        this.table_name=table_name;
        this.cols=cols;
    }

    public DwTableConfigBO(){

    }


    public void addCol(DwTableColumnConfigBO item){
        if(this.cols==null){
            this.cols=new ArrayList<>();
        }
        if(item!=null){
            this.cols.add(item);
        }
    }




}
