package com.xxh.cloud.dw.healthy.data.query.framework.modules.cache.service.impl;

import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.models.vos.DwTableConfigBO;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.service.DwdTableSchemaQueryService;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.cache.service.DwdTableSchemaCacheService;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.cache.utils.DwdTableSchemaCacheKeys;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class DwdTableSchemaCacheServiceImpl implements DwdTableSchemaCacheService {

    @Autowired
    private RedisUtils redisUtils;
    @Autowired
    private DwdTableSchemaQueryService dwdTableSchemaQueryService;

    @Override
    public DwTableConfigBO getTableConfig(String tableSchema, String tableName) {
        String key= DwdTableSchemaCacheKeys.getTableConfigKey(tableSchema,tableName);
        return dwdTableSchemaQueryService.getTableConfig(tableSchema,tableName);
    }


}
