package com.xxh.cloud.dw.app;

import com.xxh.cloud.dw.healthy.data.engine.manager.controller.DwdDataDemoQueryController;
import com.xxh.cloud.healthy.serve.risk.framework.modules.biz.service.PatientRiskBizService;
import com.xxh.cloud.metadata.framework.modules.base.biz.impl.MetadataCategoryInfoBizServiceImpl;
import com.xxh.cloud.user.client.api.AdminUserClientService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
//@EnableScheduling
public class HdeApp {


    public static void main(String[] args) {
        SpringApplication.run(HdeApp.class, args);
    }

}
