package com.xxh.cloud.dw.healthy.engine.modules.data.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientEmrBodyCheckBasicInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientEmrSymptomInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientMedicalRecordInfo;

import java.util.List;

public interface DwdPatientDataEmrBusiService {

    public List<DwdPatientMedicalRecordInfo> getEmrListById(String patientId);
    public List<DwdPatientEmrSymptomInfo> getEmrSymptomListById(String patientId);
    public List<DwdPatientEmrBodyCheckBasicInfo> getEmrCheckBasicListById(String patientId);


    public List<DwdPatientMedicalRecordInfo> getEmrListByIds(List<String> patientIds);
    public List<DwdPatientEmrSymptomInfo> getEmrSymptomListByIds(List<String> patientIds);
    public List<DwdPatientEmrBodyCheckBasicInfo> getEmrCheckBasicListByIds(List<String> patientIds);

}
