package com.xxh.cloud.dw.healthy.engine.modules.data.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.*;

import java.util.List;

/**
 * 报告
 * */
public interface DwdPatientDataReportBusiService {


    //------------------  检查 -----------------------
    /**
     * 检查申请
     * */
    public List<DwdExamineApplyInfo> getExamineApplyList(String patientId);

    public List<DwdExamineApplyItemInfo> getExamineApplyItemList(String patientId);


    /**
     * 检查申请
     * */
    public List<DwdExamineApplyInfo> getExamineApplyList(List<String> patientIds);

    public List<DwdExamineApplyItemInfo> getExamineApplyItemList(List<String> patientIds);

    /**
     * 检查预约
     * */
    public List<DwdExamineReserveInfo> getExamineReserveList(String patientId);

    /**
     * 检查预约
     * */
    public List<DwdExamineReserveInfo> getExamineReserveList(List<String> patientIds);



    /**
      * 检查报告单
      * */
     public List<DwdExamineReportInfo> getDwdExamineReportList(String patientId);

    /**
     * 检查报告单
     * */
    public List<DwdExamineReportInfo> getDwdExamineReportList(List<String> patientIds);



    //------------------  检验 -----------------------

    /**
     * 检验申请单
     * */
    public List<DwdLaboratoryApplyInfo> getLaboratoryApplyList(String patientId);

    /**
     * 检验申请单
     * */
    public List<DwdLaboratoryApplyInfo> getLaboratoryApplyList(List<String> patientIds);


    /**
     * 检验申请单项目
     * */
    public List<DwdLaboratoryApplyProjectInfo> getLaboratoryApplyProjectList(String patientId);

    /**
     * 检验申请单项目
     * */
    public List<DwdLaboratoryApplyProjectInfo> getLaboratoryApplyProjectList(List<String> patientIds);

    /**
     * 检验报告单
     * */
    public List<DwdLaboratoryReportInfo> getDwdLaboratoryReportList(String patientId);


    /**
     * 检验报告单
     * */
    public List<DwdLaboratoryReportInfo> getDwdLaboratoryReportList(List<String> patientIds);


    /**
     * 检验报告单明细
     * */
    public List<DwdLaboratoryReportItemInfo> getDwdLaboratoryReportItemList(String patientId);

    /**
     * 检验报告单明细
     * */
    public List<DwdLaboratoryReportItemInfo> getDwdLaboratoryReportItemList(List<String> patientIds);




    //------------------  病理 -----------------------
//
//    /**
//     * 病理申请单
//     * */
//    public List<DwdRecipePathologyApplyInfo> getRecipePathologyApplyList(String patientId);
//
//    /**
//     * 病理申请单
//     * */
//    public List<DwdRecipePathologyApplyInfo> getRecipePathologyApplyList(List<String> patientIds);
//
//    /**
//     * 病理申请单项目
//     * */
//    public List<DwdRecipePathologyApplyProjectInfo> getRecipePathologyApplyProjectList(String patientId);
//
//    /**
//     * 病理申请单项目
//     * */
//    public List<DwdRecipePathologyApplyProjectInfo> getRecipePathologyApplyProjectList(List<String> patientIds);
//
//
//    /**
//     * 病理报告单
//     * */
//    public List<DwdRecipePathologyReportInfo> getDwdRecipePathologyReportList(String patientId);
//
//    /**
//     * 病理报告单
//     * */
//    public List<DwdRecipePathologyReportInfo> getDwdRecipePathologyReportList(List<String> patientIds);
//





}
