package com.xxh.cloud.dw.healthy.engine.modules.exe.service;

import com.xxh.cloud.dw.healthy.engine.modules.exe.bean.dto.PatientDataExtendDTO;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;

import java.util.List;
import java.util.Map;

/**
 * 执行标签引擎
 * */
public interface DwdDataExecuteLabelService {


    public void executeLabelRuleByPatientId2RuleAll(String patientId,String dataDay,String dataScopeFlag,String dataScope,String opUser);

    public void executeLabelRuleByPatientId2RuleAll(String patientId, XXRuleRoam patientData,String dataDay,String dataScopeFlag,String dataScope,String opUser);


    public void executeLabelRuleByPatientId2RuleId(String patientId,String ruleId,String dataDay,String dataScopeFlag,String dataScope,String opUser,boolean isTest);

    public void executeLabelRuleByPatientId2RuleId(String patientId, XXRuleRoam patientData,String ruleId,String dataDay,String dataScopeFlag,String dataScope,String opUser,boolean isTest);

    public void executeLabelRuleByPatientIds(List<String> patientIds,Map<String, PatientDataExtendDTO> patientDataExtendMap,String opUser);

    public void executeLabelRuleByPatientData(Map<String, XXRuleRoam> patientDataMap, Map<String, PatientDataExtendDTO> patientDataExtendMap, String opUser);




}
