package com.xxh.cloud.dw.healthy.engine.modules.biz.service;

import com.xxh.cloud.dw.healthy.engine.modules.data.bean.bos.DwdPatientDataBO;
import com.xxh.cloud.dw.healthy.engine.modules.data.service.RuleEngineDataService;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Log4j2
@Service
public class DataPatientCacheGetService {


    @Autowired
    private RuleEngineDataService ruleEngineDataService;

    public Map<String, XXRuleRoam> getPatientRuleRoamData(List<String> patientIds){
        List<DwdPatientDataBO> patientDataList=ruleEngineDataService.getDwdPatientDataList(patientIds);
        Map<String, XXRuleRoam> patientDataMap= ruleEngineDataService.getRuleRoamMapByData(patientDataList);
        return patientDataMap;
    }






}
