package com.xxh.cloud.dw.healthy.data.manager.controller;


import com.xxh.cloud.common.mq.constant.PatientRuleOpTypeEnum;
import com.xxh.cloud.data.run.modules.biz.service.PatientFlowRuleIngBizService;
import com.xxh.cloud.data.run.modules.biz.service.PatientLabelRuleHisDataIngBizService;
import com.xxh.cloud.framework.common.entity.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RestController
@RequestMapping("/hd/data/demo")
public class HDataDemoController {



    @Autowired
    private PatientFlowRuleIngBizService patientFlowRuleIngBizService;


    @GetMapping("/test")
    public Result<String> test() {
        patientFlowRuleIngBizService.getFlowNoneTaskList(20,2, PatientRuleOpTypeEnum.RealTime.getCode(),null,null);
        return new Result<String>().ok("test");
    }


    @Autowired
    private PatientLabelRuleHisDataIngBizService patientLabelRuleHisDataIngBizService;

    @GetMapping("/test2")
    public Result<String> test2() {
        patientLabelRuleHisDataIngBizService.getLabelRuleHisData2None(20);
        return new Result<String>().ok("test2");
    }



}
