package com.xxh.cloud.data.run.client.constant;

public enum RuleRunStatusEnum {

    None("none","未执行"),
    Ing("ing","执行中"),
    Success("success","成功"),
    Fail("fail","失败"),
    Cancel("cancel","取消")
    ;
    private String code;
    private String name;

    private RuleRunStatusEnum() {
    }

    RuleRunStatusEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
