package com.xxh.cloud.data.run.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 患者引擎执行日志表
 * </p>
 *
 * @author anros
 * @since 2023-11-26
 */
@Data
@TableName("xe_patient_rule_exe_log")
public class PatientRuleExeLog{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 患者ID
     */
     @ApiModelProperty(value = "患者ID")
      private String patientId;

    /**
     * 关联分类
     */
     @ApiModelProperty(value = "关联分类")
      private String relType;

    /**
     * 关联ID
     */
     @ApiModelProperty(value = "关联ID")
      private String relId;

    /**
     * 执行时间
     */
     @ApiModelProperty(value = "执行时间")
      private Date opTime;

    /**
     * 执行备注
     */
     @ApiModelProperty(value = "执行备注")
      private String opRemark;


}
