package com.xxh.cloud.data.run.modules.biz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

//@Data
public class LabelRuleRunMgrDTO {

    @ApiModelProperty(value = "规则ID",required = true)
    @NotEmpty(message = "规则ID不能为空")
    private String id;

    @ApiModelProperty(value = "执行状态[LabelRuleExeStatusEnum]",required = true)
    @NotEmpty(message = "执行状态不能为空")
    private String status;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
