package com.xxh.cloud.data.run.modules.task;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxl.job.core.context.XxlJobHelper;

import java.util.HashMap;
import java.util.Map;

public class DataRunTaskUtils {

    public static Map<String,Object> getXxlParamMap(String xxlParamsJson){
        if(StrUtil.isEmpty(xxlParamsJson)){
            return new HashMap<>();
        }
        Map<String,Object> map = JSON.parseObject(xxlParamsJson, Map.class);
        return map;
    }


    public static Map<String,Object> getXxlParamMap(){
        String xxlParamsJson = XxlJobHelper.getJobParam();
        return DataRunTaskUtils.getXxlParamMap(xxlParamsJson);
    }




    public static String getQueueType(){
        Map<String,Object> map=DataRunTaskUtils.getXxlParamMap();
        Object obj = map.get("queueType");
        return obj==null?null:Convert.toStr(obj);
    }





}
