package com.xxh.cloud.dw.healthy.data.sys.application.controller;

import com.xxh.cloud.customer.client.api.CustomerFamilyClientService;
import com.xxh.cloud.customer.client.api.bean.bos.MemberFamilyBO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDiagnosisReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeContentQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdInpatientRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryAndExamineReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeTherapyItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeTherapyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdVisitRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDiagnosisReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeContentVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryAndExamineReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientDataVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDiagnosisReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDischargeContentBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdDischargeRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdExamineReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdInpatientRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdLaboratoryReportBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdLaboratoryReportItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdOperationRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdOperationRecordItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdPatientBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeMedicineBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeMedicineItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeTherapyBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdRecipeTherapyItemBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.DwdVisitRecordBizService;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service.PatientDwdDataBizService;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.entity.Result;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.user.AuthContextUtils;
import com.xxh.cloud.framework.common.user.LoginUser;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j2;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@SaCheckLogin
@Log4j2
@RestController
@RequestMapping("/app/dwd/data/user/patient")
@Api(tags = "患者数据查看")
public class DwdPatientDataAppController {

    @Autowired
    private DwdExamineReportBizService dwdExamineReportBizService;
    @Autowired
    private DwdLaboratoryReportBizService dwdLaboratoryReportBizService;
    @Autowired
    private CustomerFamilyClientService customerFamilyClientService;
    @Autowired
    private PatientDwdDataBizService patientDwdDataBizService;
    @Autowired
    private DwdLaboratoryReportItemBizService dwdLaboratoryReportItemBizService;
    @Autowired
    private DwdOperationRecordBizService dwdOperationRecordBizService;
    @Autowired
    private DwdOperationRecordItemBizService dwdOperationRecordItemBizService;
    @Autowired
    private DwdRecipeMedicineBizService dwdRecipeMedicineBizService;
    @Autowired
    private DwdRecipeMedicineItemBizService dwdRecipeMedicineItemBizService;
    @Autowired
    private DwdRecipeTherapyBizService dwdRecipeTherapyBizService;
    @Autowired
    private DwdRecipeTherapyItemBizService dwdRecipeTherapyItemBizService;
    @Autowired
    private DwdInpatientRecordBizService dwdInpatientRecordBizService;
    @Autowired
    private DwdVisitRecordBizService dwdVisitRecordBizService;
    @Autowired
    private DwdDischargeRecordBizService dwdDischargeRecordBizService;
    @Autowired
    private DwdDischargeContentBizService dwdDischargeContentBizService;
    @Autowired
    private DwdDiagnosisReportBizService dwdDiagnosisReportBizService;
    @Autowired
    private DwdPatientBizService dwdPatientBizService;

    private String getPatientId(String userId) {
        MemberFamilyBO memberFamilyBO = customerFamilyClientService.getChoose(userId);
        if (null == memberFamilyBO || StrUtil.isEmpty(memberFamilyBO.getPatHisNo())) {
            return null;
        }
        return memberFamilyBO.getPatHisNo();
    }

    private String getMainPersonId(String userId) {
        MemberFamilyBO memberFamilyBO = customerFamilyClientService.getChoose(userId);
        if (null == memberFamilyBO || StrUtil.isEmpty(memberFamilyBO.getPatHisNo())) {
            return null;
        }
        return memberFamilyBO.getMainPersonId();
    }
    
    // 我的患者数据记录
    @PostMapping("/list")
    @ApiOperation(value = "患者数据列表", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> page(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/app/dwd/data/user/patient/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String patientId = this.getPatientId(user.getId());
        if (null == patientId) {
            return new Result<List<DwdPatientDataVO>>().success();
        }
        params.setPatientId(patientId);

        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        List<DwdPatientDataVO> data = patientDwdDataBizService.list(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    // 我的患者数据记录+体检
    @PostMapping("/list/v2")
    @ApiOperation(value = "患者数据列表+体检", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> pageV2(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/app/dwd/data/user/patient/list/v2 >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdPatientDataVO>>().success();
        }
        params.setMainPersonId(mainPersonId);

        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        List<DwdPatientDataVO> data = patientDwdDataBizService.patientDataMergeList(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    // 异步查询我的患者数据记录+体检
    @PostMapping("/list/v3")
    @ApiOperation(value = "异步查询患者数据列表+体检", response = DwdPatientDataVO.class)
    public Result<List<DwdPatientDataVO>> pageV3(@RequestBody DwdPatientDataQueryDTO params) {
        log.info("/app/dwd/data/user/patient/list/v3 >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdPatientDataVO>>().success();
        }
        params.setMainPersonId(mainPersonId);

        if (StrUtil.isBlank(params.getQueryDate()) && StrUtil.isNotBlank(params.getEndDate())) {
            params.setQueryDate(DateUtil.offsetDay(DateUtil.parseDate(params.getEndDate()), 1).toDateStr());
        }
        List<DwdPatientDataVO> data = patientDwdDataBizService.patientDataMergeListV3(params);
        return new Result<List<DwdPatientDataVO>>().ok(data);
    }

    ////// 检查报告

    @PostMapping("/examineReport/list")
    @ApiOperation(value = "检查报告单列表", response = DwdExamineReportVO.class)
    public Result<List<DwdExamineReportVO>> examineReportList(@RequestBody DwdExamineReportQueryDTO params) {
        log.info("/app/dwd/data/user/patient/examineReport/list >>>");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdExamineReportVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdExamineReportVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdExamineReportVO> data= dwdExamineReportBizService.list(params);
        return new Result<List<DwdExamineReportVO>>().ok(data);
    }

    @PostMapping("/examineReport/detail")
    @ApiOperation(value = "检查报告单详情", response = DwdExamineReportVO.class)
    public Result<DwdExamineReportVO> examineReportDetail(@RequestBody DwdExamineReportGetDTO params) {
        log.info("/app/dwd/data/user/patient/examineReport/detail >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<DwdExamineReportVO>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<DwdExamineReportVO>().success();
        }
        params.setPatientIds(patientIds);

        DwdExamineReportVO data= dwdExamineReportBizService.detail(params);
        return new Result<DwdExamineReportVO>().ok(data);
    }

    ////// 检验报告

    @PostMapping("/laboratoryReport/list")
    @ApiOperation(value = "异常检验报告列表", response = DwdLaboratoryReportVO.class)
    public Result<List<DwdLaboratoryReportVO>> laboratoryReportList(@RequestBody DwdLaboratoryReportQueryDTO params) {
        log.info("/app/dwd/data/user/patient/laboratoryReport/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdLaboratoryReportVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdLaboratoryReportVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdLaboratoryReportVO> data= dwdLaboratoryReportBizService.list(params);
        return new Result<List<DwdLaboratoryReportVO>>().ok(data);
    }

    @PostMapping("/laboratoryReport/detail")
    @ApiOperation(value = "检验报告单详情", response = DwdLaboratoryReportVO.class)
    public Result<DwdLaboratoryReportVO> laboratoryReportDetail(@RequestBody DwdLaboratoryReportGetDTO params) {
        log.info("/app/dwd/data/user/patient/laboratoryReport/detail >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<DwdLaboratoryReportVO>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<DwdLaboratoryReportVO>().success();
        }
        params.setPatientIds(patientIds);

        DwdLaboratoryReportVO data= dwdLaboratoryReportBizService.detail(params);
        return new Result<DwdLaboratoryReportVO>().ok(data);
    }

    @PostMapping("/laboratoryReportItem/list")
    @ApiOperation(value = "异常检验报告项目列表", response = DwdLaboratoryReportItemVO.class)
    public Result<List<DwdLaboratoryReportItemVO>> laboratoryReportItemList(@RequestBody DwdLaboratoryReportItemQueryDTO params) {
        log.info("/app/dwd/data/user/patient/laboratoryReportItem/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdLaboratoryReportItemVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdLaboratoryReportItemVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdLaboratoryReportItemVO> data= dwdLaboratoryReportItemBizService.list(params);
        return new Result<List<DwdLaboratoryReportItemVO>>().ok(data);
    }

    @PostMapping("/laboratoryReport/abnormal")
    @ApiOperation(value = "异常检验报告", response = DwdLaboratoryReportItemVO.class)
    public Result<List<DwdLaboratoryReportItemVO>> abnormalLaboratoryReport(@RequestBody DwdLaboratoryReportItemQueryDTO params) {
        log.info("/app/dwd/data/user/patient/laboratoryReport/abnormal >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdLaboratoryReportItemVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdLaboratoryReportItemVO>>().success();
        }
        params.setPatientIds(patientIds);

        params.setIsAbnormal(YN.YES.getCode());
        List<DwdLaboratoryReportItemVO> data= dwdLaboratoryReportItemBizService.list(params);
        return new Result<List<DwdLaboratoryReportItemVO>>().ok(data);
    }

    // 检查检验报告
    
    @PostMapping("/laboratoryAndExamineReport/page")
    @ApiOperation(value = "检查检验报告单列表", response = DwdLaboratoryAndExamineReportVO.class)
    public Result<DwdLaboratoryAndExamineReportVO> laboratoryAndExamineReportList(@RequestBody DwdLaboratoryAndExamineReportQueryDTO params) {
        log.info("/app/dwd/data/user/patient/laboratoryAndExamineReportList/list >>>");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<DwdLaboratoryAndExamineReportVO>().success();
        }

        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<DwdLaboratoryAndExamineReportVO>().success();
        }
        
        // 检查报告
        DwdExamineReportQueryDTO examineReportQueryDTO = new DwdExamineReportQueryDTO();
        examineReportQueryDTO.setPage(params.getPage());
        examineReportQueryDTO.setRows(params.getRows());
        examineReportQueryDTO.setPatientIds(patientIds);
        examineReportQueryDTO.setVisitId(params.getVisitId());
        examineReportQueryDTO.setVisitIds(params.getVisitIds());
        examineReportQueryDTO.setStartDate(params.getStartDate());
        examineReportQueryDTO.setEndDate(params.getEndDate());
        examineReportQueryDTO.setActivityNo(params.getActivityNo());
        examineReportQueryDTO.setActivityNos(params.getActivityNos());
        examineReportQueryDTO.setIsActivity(params.getIsActivity());
        PageData<DwdExamineReportVO> examineReportList = dwdExamineReportBizService.query(examineReportQueryDTO);

        // 检验报告
        DwdLaboratoryReportQueryDTO laboratoryReportQueryDTO = new DwdLaboratoryReportQueryDTO();
        laboratoryReportQueryDTO.setPage(params.getPage());
        laboratoryReportQueryDTO.setRows(params.getRows());
        laboratoryReportQueryDTO.setPatientIds(patientIds);
        laboratoryReportQueryDTO.setVisitId(params.getVisitId());
        laboratoryReportQueryDTO.setVisitIds(params.getVisitIds());
        laboratoryReportQueryDTO.setStartDate(params.getStartDate());
        laboratoryReportQueryDTO.setEndDate(params.getEndDate());
        laboratoryReportQueryDTO.setActivityNo(params.getActivityNo());
        laboratoryReportQueryDTO.setActivityNos(params.getActivityNos());
        laboratoryReportQueryDTO.setIsActivity(params.getIsActivity());
        PageData<DwdLaboratoryReportVO> laboratoryReportList = dwdLaboratoryReportBizService.query(laboratoryReportQueryDTO);

        DwdLaboratoryAndExamineReportVO vo = new DwdLaboratoryAndExamineReportVO();
        vo.setExamineReportVOList(examineReportList);
        vo.setLaboratoryReportVOList(laboratoryReportList);

        return new Result<DwdLaboratoryAndExamineReportVO>().ok(vo);
    }

    ////// 手术记录

    @PostMapping("/operationRecord/list")
    @ApiOperation(value = "手术记录列表", response = DwdOperationRecordVO.class)
    public Result<List<DwdOperationRecordVO>> operationRecordList(@RequestBody DwdOperationRecordQueryDTO params) {
        log.info("/app/dwd/data/user/patient/operationRecord/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdOperationRecordVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdOperationRecordVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdOperationRecordVO> data= dwdOperationRecordBizService.list(params);
        return new Result<List<DwdOperationRecordVO>>().ok(data);
    }

    @PostMapping("/operationRecordItem/list")
    @ApiOperation(value = "手术记录详情列表", response = DwdOperationRecordItemVO.class)
    public Result<List<DwdOperationRecordItemVO>> operationRecordItemList(@RequestBody DwdOperationRecordItemQueryDTO params) {
        log.info("/app/dwd/data/user/patient/operationRecord/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdOperationRecordItemVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdOperationRecordItemVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdOperationRecordItemVO> data= dwdOperationRecordItemBizService.list(params);
        return new Result<List<DwdOperationRecordItemVO>>().ok(data);
    }

    ////// 用药

    @PostMapping("/recipeMedicine/query")
    @ApiOperation(value = "用药分页列表", response = DwdRecipeMedicineVO.class)
    public Result<PageData<DwdRecipeMedicineVO>> recipeMedicineQuery(@RequestBody DwdRecipeMedicineQueryDTO params) {
        log.info("/app/dwd/data/user/patient/recipeMedicine/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<PageData<DwdRecipeMedicineVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<PageData<DwdRecipeMedicineVO>>().success();
        }
        params.setPatientIds(patientIds);

        PageData<DwdRecipeMedicineVO> data= dwdRecipeMedicineBizService.query(params);
        return new Result<PageData<DwdRecipeMedicineVO>>().ok(data);
    }

    @PostMapping("/recipeMedicine/list")
    @ApiOperation(value = "用药列表", response = DwdRecipeMedicineVO.class)
    public Result<List<DwdRecipeMedicineVO>> recipeMedicineList(@RequestBody DwdRecipeMedicineQueryDTO params) {
        log.info("/app/dwd/data/user/patient/recipeMedicine/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdRecipeMedicineVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdRecipeMedicineVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdRecipeMedicineVO> data= dwdRecipeMedicineBizService.list(params);
        return new Result<List<DwdRecipeMedicineVO>>().ok(data);
    }

    @PostMapping("/recipeMedicine/detail")
    @ApiOperation(value = "用药详情", response = DwdRecipeMedicineVO.class)
    public Result<DwdRecipeMedicineVO> recipeMedicineDetail(@RequestBody DwdRecipeMedicineGetDTO params) {
        log.info("/app/dwd/data/user/patient/recipeMedicine/detail >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<DwdRecipeMedicineVO>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<DwdRecipeMedicineVO>().success();
        }
        params.setPatientIds(patientIds);

        DwdRecipeMedicineVO data= dwdRecipeMedicineBizService.detail(params);
        return new Result<DwdRecipeMedicineVO>().ok(data);
    }

    @PostMapping("/recipeMedicineItem/list")
    @ApiOperation(value = "用药详情列表", response = DwdRecipeMedicineItemVO.class)
    public Result<List<DwdRecipeMedicineItemVO>> recipeMedicineItemList(@RequestBody DwdRecipeMedicineItemQueryDTO params) {
        log.info("/app/dwd/data/user/patient/recipeMedicineItem/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdRecipeMedicineItemVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdRecipeMedicineItemVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdRecipeMedicineItemVO> data= dwdRecipeMedicineItemBizService.list(params);
        return new Result<List<DwdRecipeMedicineItemVO>>().ok(data);
    }

    ////// 治疗

    @PostMapping("/recipeTherapy/list")
    @ApiOperation(value = "治疗列表", response = DwdRecipeTherapyVO.class)
    public Result<List<DwdRecipeTherapyVO>> recipeTherapyList(@RequestBody DwdRecipeTherapyQueryDTO params) {
        log.info("/app/dwd/data/user/patient/recipeTherapy/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdRecipeTherapyVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdRecipeTherapyVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdRecipeTherapyVO> data= dwdRecipeTherapyBizService.list(params);
        return new Result<List<DwdRecipeTherapyVO>>().ok(data);
    }

    @PostMapping("/recipeTherapyItem/list")
    @ApiOperation(value = "治疗明细列表", response = DwdRecipeTherapyItemVO.class)
    public Result<List<DwdRecipeTherapyItemVO>> recipeTherapyItemList(@RequestBody DwdRecipeTherapyItemQueryDTO params) {
        log.info("/app/dwd/data/user/patient/recipeTherapyItem/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdRecipeTherapyItemVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdRecipeTherapyItemVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdRecipeTherapyItemVO> data= dwdRecipeTherapyItemBizService.list(params);
        return new Result<List<DwdRecipeTherapyItemVO>>().ok(data);
    }

    ////// 住院

    @PostMapping("/inpatientRecord/list")
    @ApiOperation(value = "住院列表", response = DwdInpatientRecordVO.class)
    public Result<List<DwdInpatientRecordVO>> inpatientRecordList(@RequestBody DwdInpatientRecordQueryDTO params) {
        log.info("/app/dwd/data/user/patient/inpatientRecord/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdInpatientRecordVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdInpatientRecordVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdInpatientRecordVO> data= dwdInpatientRecordBizService.simpleList2(params);
        return new Result<List<DwdInpatientRecordVO>>().ok(data);
    }

    ////// 就诊

    @PostMapping("/visitRecord/list")
    @ApiOperation(value = "就诊列表", response = DwdVisitRecordVO.class)
    public Result<List<DwdVisitRecordVO>> visitRecordList(@RequestBody DwdVisitRecordQueryDTO params) {
        log.info("/app/dwd/data/user/patient/visitRecord/list >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();

        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<List<DwdVisitRecordVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<List<DwdVisitRecordVO>>().success();
        }
        params.setPatientIds(patientIds);

        List<DwdVisitRecordVO> data= dwdVisitRecordBizService.simpleList(params);
        return new Result<List<DwdVisitRecordVO>>().ok(data);
    }

    // 出院
    
    @PostMapping("/discharge/query")
    @ApiOperation(value = "出院分页", response = DwdDischargeRecordVO.class)
    public Result<PageData<DwdDischargeRecordVO>> dischargequery(@RequestBody DwdDischargeRecordQueryDTO params) {
        log.info("/app/dwd/data/user/patient/discharge/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<PageData<DwdDischargeRecordVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<PageData<DwdDischargeRecordVO>>().success();
        }
        params.setPatientIds(patientIds);

        PageData<DwdDischargeRecordVO> data= dwdDischargeRecordBizService.query(params);
        return new Result<PageData<DwdDischargeRecordVO>>().ok(data);
    }


    ////// 出院小结

    @PostMapping("/discharge/content/query")
    @ApiOperation(value = "出院小结分页", response = DwdDischargeContentVO.class)
    public Result<PageData<DwdDischargeContentVO>> dischargeContentQuery(@RequestBody DwdDischargeContentQueryDTO params) {
        log.info("/app/dwd/data/user/patient/discharge/content/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<PageData<DwdDischargeContentVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<PageData<DwdDischargeContentVO>>().success();
        }
        params.setPatientIds(patientIds);

        PageData<DwdDischargeContentVO> data= dwdDischargeContentBizService.query(params);
        return new Result<PageData<DwdDischargeContentVO>>().ok(data);
    }

    @PostMapping("/discharge/content")
    @ApiOperation(value = "出院小结", response = DwdDischargeContentVO.class)
    public Result<DwdDischargeContentVO> dischargeContent(@RequestBody DwdDischargeContentQueryDTO params) {
        log.info("/app/dwd/data/user/patient/discharge/content >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<DwdDischargeContentVO>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<DwdDischargeContentVO>().success();
        }
        params.setPatientIds(patientIds);

        DwdDischargeContentVO data= dwdDischargeContentBizService.getOne(params);
        return new Result<DwdDischargeContentVO>().ok(data);
    }

    ////// 诊断
    
    @PostMapping("/diagnosisReport/query")
    @ApiOperation(value = "诊断分页", response = DwdDiagnosisReportVO.class)
    public Result<PageData<DwdDiagnosisReportVO>> diagnosisReportQuery(@RequestBody DwdDiagnosisReportQueryDTO params) {
        log.info("/app/dwd/data/user/patient/diagnosisReport/query >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<PageData<DwdDiagnosisReportVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<PageData<DwdDiagnosisReportVO>>().success();
        }
        params.setPatientIds(patientIds);

        PageData<DwdDiagnosisReportVO> data= dwdDiagnosisReportBizService.query(params);
        return new Result<PageData<DwdDiagnosisReportVO>>().ok(data);
    }

    @PostMapping("/diagnosisReport/groupQuery")
    @ApiOperation(value = "诊断分组分页", response = DwdDiagnosisReportVO.class)
    public Result<PageData<DwdDiagnosisReportVO>> diagnosisReportGroupQuery(@RequestBody DwdDiagnosisReportQueryDTO params) {
        log.info("/app/dwd/data/user/patient/diagnosisReport/groupQuery >>> ");
        LoginUser user = AuthContextUtils.getCurrentLoginUser();
        
        String mainPersonId = this.getMainPersonId(user.getId());
        if (null == mainPersonId) {
            return new Result<PageData<DwdDiagnosisReportVO>>().success();
        }
        List<String> patientIds = dwdPatientBizService.getPatientIdByMainPersonId(mainPersonId);
        if (CollectionUtil.isEmpty(patientIds)) {
            return new Result<PageData<DwdDiagnosisReportVO>>().success();
        }
        params.setPatientIds(patientIds);

        PageData<DwdDiagnosisReportVO> data= dwdDiagnosisReportBizService.groupQuery(params);
        return new Result<PageData<DwdDiagnosisReportVO>>().ok(data);
    }

}
