package com.xxh.cloud.dw.healthy.data.client.api.constant;

public class DwdConstant {

    public enum DataTypeEnum {

        RegisterRecord("register_record", "挂号"),
        InpatientReserve("inpatient_reserve", "住院预约"),
        DischargeRecord("discharge_record", "出院"),

        DiagnosisReport("diagnosis_report", "诊断"),
        ExamineApply("examine_apply", "检查申请单"),
        ExamineReport("examine_report", "检查报告单"),
        ExamineReserve("examine_reserve", "检查预约单"),
        LaboratoryApply("laboratory_apply", "检验申请单"),
        LaboratoryReport("laboratory_report", "检验报告单"),
        OperationApply("operation_apply", "手术申请"),
        OperationRecord("operation_record", "手术记录"),
        RecipeMedicine("recipe_medicine", "医嘱用药"),
        RecipeTherapy("recipe_therapy", "治疗"),
        InpatientChange("inpatient_change", "住院变更"),
        PastHis("past_his", "既往史"),
        FirstCourseIllness("first_course_illness", "患者首次病程"),

        ;

        private String code;
        private String msg;
        private DataTypeEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    
    }

    public enum DataSceneEnum {

        MZ("MZ", "门诊"),
        JZ("JZ", "急诊"),
        ZY("ZY", "住院"),
        TJ("TJ", "体检"),
        
        ;

        private String code;
        private String msg;
        private DataSceneEnum(String code, String msg) {
            this.code = code;
            this.msg = msg;
        }
        public String getCode() {
            return code;
        }
        public void setCode(String code) {
            this.code = code;
        }
        public String getMsg() {
            return msg;
        }
        public void setMsg(String msg) {
            this.msg = msg;
        }
    
    }

    
}
