package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * <p>
 * DWD出院小结信息表
 * </p>
 *
 * @author wing
 * @since 2023-12-12
 */
@Data
//@EqualsAndHashCode(callSuper = true)
public class DwdDischargeContentInfo {

    private static final long serialVersionUID = 1L;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    @TableId(value = "patient_id", type = IdType.INPUT)
    private String patientId;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 出院小结(原始)
     */
    @ApiModelProperty(value = "出院小结(原始)")
    private String contentRaw;

    /**
     * 出院小结(标准)
     */
    @ApiModelProperty(value = "出院小结(标准)")
    private String contentStandard;

}
