package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD电子病例内容信息表
 * </p>
 */
@Data
public class DwdPatientMedicalRecordContentInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    @TableId(value = "patient_id", type = IdType.INPUT)
      private String patientId;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
      private String id;

    /**
     * 内容(原文)
     */
     @ApiModelProperty(value = "内容(原文)")
      private String contentRaw;

    /**
     * 内容(解密文)
     */
     @ApiModelProperty(value = "内容(解密文)")
      private String contentStandard;

}
