package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD病理申请单项目数据信息表
 * </p>
 *
 * @author anros
 * @since 2023-09-07
 */
@Deprecated
@Data
public class DwdRecipePathologyApplyProjectInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 病理申请单ID
     */
     @ApiModelProperty(value = "病理申请单ID")
      private String recipePathologyApplyId;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 项目编号(原始)
     */
     @ApiModelProperty(value = "项目编号(原始)")
      private String codeRaw;

    /**
     * 项目编号(标准)
     */
     @ApiModelProperty(value = "项目编号(标准)")
      private String codeStandard;

    /**
     * 项目名称(原始)
     */
     @ApiModelProperty(value = "项目名称(原始)")
      private String nameRaw;

    /**
     * 项目名称(标准)
     */
     @ApiModelProperty(value = "项目名称(标准)")
      private String nameStandard;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opDate;


}
