package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * ODS体检登记信息表
 * </p>
 */

@Data
public class OdsExaminationRegisterInfo  {

    private static final long serialVersionUID = 1L;

    /**
     * 体检记录号，就是体检患者id
     */
     @ApiModelProperty(value = "体检记录号，就是体检患者id")
    @TableId(value = "visit_id", type = IdType.INPUT)
      private String visitId;

    /**
     * 报到日期
     */
     @ApiModelProperty(value = "报到日期")
      private Date signInDate;

    /**
     * 预约日期
     */
     @ApiModelProperty(value = "预约日期")
      private Date orderDate;

    /**
     * 状态
     */
     @ApiModelProperty(value = "状态")
      private String statusName;

    /**
     * 数据创建时间
     */
     @ApiModelProperty(value = "数据创建时间")
      private Date dataCreateDate;

    /**
     * 数据更新时间
     */
     @ApiModelProperty(value = "数据更新时间")
      private Date dataUpdateDate;

    /**
     * 数据操作人
     */
     @ApiModelProperty(value = "数据操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opUpdateData;


}
