package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.List;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD患者住院更改数据信息表
 * </p>
 */
@Data
public class DwdInpatientChangeQueryDTO {

    /**
     * 患者编号
     */
    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者id列表")
    private List<String> patientIds;

    /**
     * 转换流水号
     */
    @ApiModelProperty(value = "转换流水号")
    private String changeId;

    /**
     * 住院号
     */
    @ApiModelProperty(value = "住院号")
    private String inpatientId;


    @ApiModelProperty(value = "更改分类")
    private List<String> changeTypes;

    /**
     * 住院号列表
     */
    @ApiModelProperty(value = "住院号列表")
    private List<String> inpatientIds;

    @ApiModelProperty(value = "住院申请开始时间")
    private String startDate;

    @ApiModelProperty(value = "住院申请结束时间")
    private String endDate;

}
