package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.List;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdInpatientReserveQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "患者id列表")
    private List<String> patientIds;

    @ApiModelProperty(value = "就诊id")
    private String visitId;

    @ApiModelProperty(value = "就诊id列表")
    private List<String> visitIds;

    @ApiModelProperty(value = "申请科室编码(标准)")
    private String applyDepartmentCodeStandard;

    @ApiModelProperty(value = "申请科室编码列表(标准)")
    private List<String> applyDepartmentCodeStandards;

    @ApiModelProperty(value = "住院申请开始时间")
    private String startDate;

    @ApiModelProperty(value = "住院申请结束时间")
    private String endDate;

}
