package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdLaboratoryApplyGetDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

    @ApiModelProperty(value = "患者id")
    private String patientId;

    @ApiModelProperty(value = "就诊id")
    private String visitId;

}
