package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DwdPatientDataQueryDTO {

    @ApiModelProperty(value = "患者id（dwd患者表id）")
    private String patientId;

    @ApiModelProperty(value = "患者id列表（dwd患者表id）")
    private List<String> patientIds;

    @ApiModelProperty(value = "数据查询时间（查询本时间之前的数据）")
    private String queryDate;

    @ApiModelProperty(value = "数据查询开始时间（查询本时间和之后的数据）")
    private String startDate;

    @ApiModelProperty(value = "数据查询开始时间（查询本时间和之前的数据）")
    private String endDate;

    @ApiModelProperty(value = "数据类型[DwdConstant.DataTypeEnum]")
    private String dataType;

    @ApiModelProperty(value = "数据场景[DwdConstant.DataSceneEnum]")
    private String dataScene;

    // 按部门查询
    @ApiModelProperty(value = "部门id")
    private String deptId;
    @ApiModelProperty(value = "是否查询本部门数据[YN], 不传查询所有")
    private String isDept;

    
    
    @ApiModelProperty(value = "主患者id（dwd主患者表id）")
    private String mainPersonId;


}
