package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD电子病例内容信息表
 * </p>
 */
@Data
public class DwdPatientMedicalRecordContentGetDTO  {

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "id不能为空")
    private String id;

}
