package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto;

import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * ODS患者既往史信息表
 * </p>
 */

 @Data
public class OdsPatientPastHisQueryDTO {
    
    /**
     * 挂号流水号
     */
     @ApiModelProperty(value = "挂号流水号")
      private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 挂号流水号
     */
     @ApiModelProperty(value = "挂号流水号")
      private String registerId;

      @ApiModelProperty(value = "挂号流水号列表")
      private List<String> registerIds;
  
    /**
     * 看诊时间
     */
     @ApiModelProperty(value = "看诊时间")
      private Date treatDate;

}
