package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo;

import java.util.Date;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWD患者住院更改数据信息表
 * </p>
 */
@Data
public class DwdInpatientChangeVO{

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
      private String patientId;

    /**
     * 转换流水号
     */
     @ApiModelProperty(value = "转换流水号")
      private String changeId;

    /**
     * 住院号
     */
     @ApiModelProperty(value = "住院号")
      private String inpatientId;

    /**
     * 更改时间
     */
     @ApiModelProperty(value = "更改时间")
      private String changeTime;

    /**
     * 更改类型
     */
     @ApiModelProperty(value = "更改类型")
      private String changeType;

    /**
     * 更改类型名称
     */
     @ApiModelProperty(value = "更改类型名称")
      private String changeTypeName;

    /**
     * 更改编号
     */
     @ApiModelProperty(value = "更改编号")
      private String code;

    /**
     * 更改名称
     */
     @ApiModelProperty(value = "更改名称")
      private String name;

    /**
     * 源编号
     */
     @ApiModelProperty(value = "源编号")
      private String sourceCode;

    /**
     * 源名称
     */
     @ApiModelProperty(value = "源名称")
      private String sourceName;

    /**
     * 目标编号
     */
     @ApiModelProperty(value = "目标编号")
      private String targetCode;

    /**
     * 目标名称
     */
     @ApiModelProperty(value = "目标名称")
      private String targetName;

    /**
     * 数据更新时间(原始)
     */
     @ApiModelProperty(value = "数据更新时间(原始)")
      private Date dataUpdateDate;

    /**
     * 操作人
     */
     @ApiModelProperty(value = "操作人")
      private String opDataUser;

    /**
     * 数据操作时间
     */
     @ApiModelProperty(value = "数据操作时间")
      private Date opUpdateData;

}
