package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.helper;

import com.alibaba.fastjson2.JSONObject;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDiagnosisReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDischargeContentInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDischargeRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineApplyItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineReserveInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientChangeInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdInpatientReserveInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryApplyProjectInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryReportItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationApplyItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationRecordItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdPatientMedicalRecordContentInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeMedicineInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeMedicineItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeTherapyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeTherapyItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRegisterRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdVisitRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.OdsExaminationFinalReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.OdsExaminationRegisterInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.OdsExaminationReportResultInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.OdsFirstCourseIllnessInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.OdsPatientPastHisInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExaminationPatientInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDiagnosisReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeContentDetailVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeContentVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineApplyItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineApplyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReserveVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientChangeVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdInpatientReserveVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryApplyProjectVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryApplyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationApplyItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationApplyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientMedicalRecordContentVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyItemVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRegisterRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdVisitRecordVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.OdsExaminationFinalReportVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.OdsExaminationRegisterVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.OdsExaminationReportResultVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.OdsFirstCourseIllnessVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.OdsPatientPastHisVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExaminationPatientVO;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;

public class PatientHealthyHelper {

    public static DwdPatientVO getDwdPatientVO(DwdPatientInfo entity) {
        DwdPatientVO vo = new DwdPatientVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdRegisterRecordVO getDwdRegisterRecordVO(DwdRegisterRecordInfo entity) {
        DwdRegisterRecordVO vo = new DwdRegisterRecordVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdVisitRecordVO getDwdVisitRecordVO(DwdVisitRecordInfo entity) {
        DwdVisitRecordVO vo = new DwdVisitRecordVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdInpatientRecordVO getDwdInpatientRecordVO(DwdInpatientRecordInfo entity) {
        DwdInpatientRecordVO vo = new DwdInpatientRecordVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdInpatientReserveVO getDwdInpatientReserveVO(DwdInpatientReserveInfo entity) {
        DwdInpatientReserveVO vo = new DwdInpatientReserveVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdDischargeRecordVO getDwdDischargeRecordVO(DwdDischargeRecordInfo entity) {
        DwdDischargeRecordVO vo = new DwdDischargeRecordVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdDischargeContentVO getDwdDischargeContentVO(DwdDischargeContentInfo entity) {
        DwdDischargeContentVO vo = new DwdDischargeContentVO();
        BeanUtil.copyProperties(entity, vo);
        if (StrUtil.isNotBlank(entity.getContentStandard())) {
            vo.setContentDetail(JSONObject.parseObject(entity.getContentStandard(), DwdDischargeContentDetailVO.class));
        }
        return vo;
    }

    public static DwdExamineApplyVO getDwdExamineApplyVO(DwdExamineApplyInfo entity) {
        DwdExamineApplyVO vo = new DwdExamineApplyVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdExamineApplyItemVO getDwdExamineApplyItemVO(DwdExamineApplyItemInfo entity) {
        DwdExamineApplyItemVO vo = new DwdExamineApplyItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdExamineReportVO getDwdExamineReportVO(DwdExamineReportInfo entity) {
        DwdExamineReportVO vo = new DwdExamineReportVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdExamineReserveVO getDwdExamineReserveVO(DwdExamineReserveInfo entity) {
        DwdExamineReserveVO vo = new DwdExamineReserveVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdLaboratoryApplyVO getDwdLaboratoryApplyVO(DwdLaboratoryApplyInfo entity) {
        DwdLaboratoryApplyVO vo = new DwdLaboratoryApplyVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdLaboratoryApplyProjectVO getDwdLaboratoryApplyProjectVO(DwdLaboratoryApplyProjectInfo entity) {
        DwdLaboratoryApplyProjectVO vo = new DwdLaboratoryApplyProjectVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdLaboratoryReportVO getDwdLaboratoryReportVO(DwdLaboratoryReportInfo entity) {
        DwdLaboratoryReportVO vo = new DwdLaboratoryReportVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdLaboratoryReportItemVO getDwdLaboratoryReportItemVO(DwdLaboratoryReportItemInfo entity) {
        DwdLaboratoryReportItemVO vo = new DwdLaboratoryReportItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdRecipeMedicineVO getDwdRecipeMedicineVO(DwdRecipeMedicineInfo entity) {
        DwdRecipeMedicineVO vo = new DwdRecipeMedicineVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdRecipeMedicineItemVO getDwdRecipeMedicineItemVO(DwdRecipeMedicineItemInfo entity) {
        DwdRecipeMedicineItemVO vo = new DwdRecipeMedicineItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdOperationApplyVO getDwdOperationApplyVO(DwdOperationApplyInfo entity) {
        DwdOperationApplyVO vo = new DwdOperationApplyVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdOperationApplyItemVO getDwdOperationApplyItemVO(DwdOperationApplyItemInfo entity) {
        DwdOperationApplyItemVO vo = new DwdOperationApplyItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdOperationRecordVO getDwdOperationRecordVO(DwdOperationRecordInfo entity) {
        DwdOperationRecordVO vo = new DwdOperationRecordVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdOperationRecordItemVO getDwdOperationRecordItemVO(DwdOperationRecordItemInfo entity) {
        DwdOperationRecordItemVO vo = new DwdOperationRecordItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdDiagnosisReportVO getDwdDiagnosisReportVO(DwdDiagnosisReportInfo entity) {
        DwdDiagnosisReportVO vo = new DwdDiagnosisReportVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdRecipeTherapyVO getDwdRecipeTherapyVO(DwdRecipeTherapyInfo entity) {
        DwdRecipeTherapyVO vo = new DwdRecipeTherapyVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdRecipeTherapyItemVO getDwdRecipeTherapyItemVO(DwdRecipeTherapyItemInfo entity) {
        DwdRecipeTherapyItemVO vo = new DwdRecipeTherapyItemVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdExaminationPatientVO getOdsExaminationPatientVO(DwdExaminationPatientInfo entity) {
        DwdExaminationPatientVO vo = new DwdExaminationPatientVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static OdsExaminationRegisterVO getOdsExaminationRegisterVO(OdsExaminationRegisterInfo entity) {
        OdsExaminationRegisterVO vo = new OdsExaminationRegisterVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static OdsExaminationReportResultVO getOdsExaminationReportResultVO(OdsExaminationReportResultInfo entity) {
        OdsExaminationReportResultVO vo = new OdsExaminationReportResultVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static OdsExaminationFinalReportVO getOdsExaminationFinalReportVO(OdsExaminationFinalReportInfo entity) {
        OdsExaminationFinalReportVO vo = new OdsExaminationFinalReportVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdInpatientChangeVO getDwdInpatientChangeVO(DwdInpatientChangeInfo entity) {
        DwdInpatientChangeVO vo = new DwdInpatientChangeVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static OdsPatientPastHisVO getOdsPatientPastHisVO(OdsPatientPastHisInfo entity) {
        OdsPatientPastHisVO vo = new OdsPatientPastHisVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static OdsFirstCourseIllnessVO getOdsFirstCourseIllnessVO(OdsFirstCourseIllnessInfo entity) {
        OdsFirstCourseIllnessVO vo = new OdsFirstCourseIllnessVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

    public static DwdPatientMedicalRecordContentVO getDwdPatientMedicalRecordContentVO(DwdPatientMedicalRecordContentInfo entity) {
        if (null == entity) {
            return null;
        }
        DwdPatientMedicalRecordContentVO vo = new DwdPatientMedicalRecordContentVO();
        BeanUtil.copyProperties(entity, vo);
        return vo;
    }

}
