package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDiagnosisReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDiagnosisReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDiagnosisReportVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * DWD诊断数据表
 */
public interface DwdDiagnosisReportBizService {

    public PageData<DwdDiagnosisReportVO> query(DwdDiagnosisReportQueryDTO params);

    public List<DwdDiagnosisReportVO> list(DwdDiagnosisReportQueryDTO params);

    public List<DwdDiagnosisReportInfo> listByPatientId(String patientId);

    public List<DwdDiagnosisReportInfo> listByPatientId(List<String> patientIds);


    public List<DwdDiagnosisReportInfo> listBeanByPatient(String patientId);

    public List<DwdDiagnosisReportInfo> listBeanByPatient(List<String> patientIds);

    public PageData<DwdDiagnosisReportVO> groupQuery(DwdDiagnosisReportQueryDTO params);

}
