package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDischargeContentInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeContentQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeContentVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * <p>
 * DWD出院小结信息表
 * </p>
 */
public interface DwdDischargeContentBizService {

    public PageData<DwdDischargeContentVO> query(DwdDischargeContentQueryDTO params);

    public List<DwdDischargeContentVO> list(DwdDischargeContentQueryDTO params);

    public List<DwdDischargeContentVO> listByPatientId(String patientId);

    public List<DwdDischargeContentVO> listByPatientId(List<String> patientIds);

    public DwdDischargeContentVO getById(String id);

    public DwdDischargeContentVO getOne(DwdDischargeContentQueryDTO params);


    public List<DwdDischargeContentInfo> listBeanByPatient(String patientId);

    public List<DwdDischargeContentInfo> listBeanByPatient(List<String> patientIds);

}
