package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdDischargeRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdDischargeRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdDischargeRecordVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * <p>
 * DWD出院记录信息表
 * </p>
 */
public interface DwdDischargeRecordBizService {

    public PageData<DwdDischargeRecordVO> query(DwdDischargeRecordQueryDTO params);

    public List<DwdDischargeRecordVO> list(DwdDischargeRecordQueryDTO params);

    public List<DwdDischargeRecordVO> listByPatientId(String patientId);

    public List<DwdDischargeRecordVO> listByPatientId(List<String> patientIds);

    public DwdDischargeRecordVO getById(String id);


    public List<DwdDischargeRecordInfo> listBeanByPatient(String patientId);

    public List<DwdDischargeRecordInfo> listBeanByPatient(List<String> patientIds);

}
