package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineApplyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineApplyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineApplyVO;

import java.util.List;

/**
 * <p>
 * DWD检查申请单数据表
 * </p>
 */
public interface DwdExamineApplyBizService {

    public List<DwdExamineApplyVO> list(DwdExamineApplyQueryDTO params);

    public List<DwdExamineApplyVO> listByPatientId(String patientId);

    public List<DwdExamineApplyVO> listByPatientId(List<String> patientIds);

    public DwdExamineApplyVO getById(String id);


    public List<DwdExamineApplyInfo> listBeanByPatient(String patientId);

    public List<DwdExamineApplyInfo> listBeanByPatient(List<String> patientIds);



}
