package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdExamineReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdExamineReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdExamineReportVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * <p>
 * DWD检查报告单信息表
 * </p>
 */
public interface DwdExamineReportBizService {

    public PageData<DwdExamineReportVO> query(DwdExamineReportQueryDTO params);

    public List<DwdExamineReportVO> list(DwdExamineReportQueryDTO params);

    public DwdExamineReportVO detail(DwdExamineReportGetDTO params);

    public List<DwdExamineReportVO> listByPatientId(String patientId);

    public List<DwdExamineReportVO> listByPatientIds(List<String> patientIds);

    public DwdExamineReportVO getById(String id);



    public List<DwdExamineReportInfo> listBeanByPatient(String patientId);

    public List<DwdExamineReportInfo> listBeanByPatient(List<String> patientIds);




}
