package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryApplyProjectInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryApplyProjectQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryApplyProjectVO;

import java.util.List;

/**
 * <p>
 * DWD检验申请单项目数据
 * </p>
 */
public interface DwdLaboratoryApplyProjectBizService {

    public List<DwdLaboratoryApplyProjectVO> list(DwdLaboratoryApplyProjectQueryDTO params);

    public List<DwdLaboratoryApplyProjectVO> listByPatientId(String patientId);

    public List<DwdLaboratoryApplyProjectVO> listByPatientId(List<String> patientIds);

    public DwdLaboratoryApplyProjectVO getById(String id);


    public List<DwdLaboratoryApplyProjectInfo> listBeanByPatient(String patientId);

    public List<DwdLaboratoryApplyProjectInfo> listBeanByPatient(List<String> patientIds);



}
