package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdLaboratoryReportInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdLaboratoryReportQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdLaboratoryReportVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * <p>
 * DWD检验报告单数据
 * </p>
 */
public interface DwdLaboratoryReportBizService {

    public PageData<DwdLaboratoryReportVO> query(DwdLaboratoryReportQueryDTO params);

    public List<DwdLaboratoryReportVO> list(DwdLaboratoryReportQueryDTO params);

    public DwdLaboratoryReportVO detail(DwdLaboratoryReportGetDTO params);

    public List<DwdLaboratoryReportVO> listByPatientId(String patientId);

    public List<DwdLaboratoryReportVO> listByPatientIds(List<String> patientIds);

    public DwdLaboratoryReportVO getById(String id);


    public List<DwdLaboratoryReportInfo> listBeanByPatient(String patientId);

    public List<DwdLaboratoryReportInfo> listBeanByPatient(List<String> patientIds);



}
