package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationApplyItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationApplyItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationApplyItemVO;

import java.util.List;

/**
 * <p>
 * DWD手术申请明细数据
 * </p>
 */
public interface DwdOperationApplyItemBizService {

    public List<DwdOperationApplyItemVO> list(DwdOperationApplyItemQueryDTO params);

    public List<DwdOperationApplyItemVO> listByPatientId(String patientId);

    public List<DwdOperationApplyItemVO> listByPatientId(List<String> patientIds);

    public DwdOperationApplyItemVO getById(String id);



    public List<DwdOperationApplyItemInfo> listBeanByPatient(String patientId);

    public List<DwdOperationApplyItemInfo> listBeanByPatient(List<String> patientIds);






}
