package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationRecordInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordVO;

import java.util.List;

/**
 * <p>
 * DWD手术记录数据表
 * </p>
 */
public interface DwdOperationRecordBizService {

    public List<DwdOperationRecordVO> list(DwdOperationRecordQueryDTO params);

    public List<DwdOperationRecordVO> listByPatientId(String patientId);

    public List<DwdOperationRecordVO> listByPatientId(List<String> patientIds);

    public DwdOperationRecordVO getById(String id);


    public List<DwdOperationRecordInfo> listBeanByPatient(String patientId);

    public List<DwdOperationRecordInfo> listBeanByPatient(List<String> patientIds);



}
