package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdOperationRecordItemInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdOperationRecordItemQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdOperationRecordItemVO;

import java.util.List;

/**
 * <p>
 * DWD手术记录明细数据表
 * </p>
 */
public interface DwdOperationRecordItemBizService {

    public List<DwdOperationRecordItemVO> list(DwdOperationRecordItemQueryDTO params);

    public List<DwdOperationRecordItemVO> listByPatientId(String patientId);

    public List<DwdOperationRecordItemVO> listByPatientId(List<String> patientIds);

    public DwdOperationRecordItemVO getById(String id);



    public List<DwdOperationRecordItemInfo> listBeanByPatient(String patientId);

    public List<DwdOperationRecordItemInfo> listBeanByPatient(List<String> patientIds);




}
