package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeMedicineInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineGetDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeMedicineQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeMedicineVO;
import com.xxh.cloud.framework.common.page.PageData;

import java.util.List;

/**
 * <p>
 * DWD医嘱用药数据表
 * </p>
 */
public interface DwdRecipeMedicineBizService {

    public PageData<DwdRecipeMedicineVO> query(DwdRecipeMedicineQueryDTO params);

    public List<DwdRecipeMedicineVO> list(DwdRecipeMedicineQueryDTO params);

    public DwdRecipeMedicineVO detail(DwdRecipeMedicineGetDTO params);

    public List<DwdRecipeMedicineVO> listByPatientId(String patientId);

    public List<DwdRecipeMedicineVO> listByPatientId(List<String> patientIds);

    public DwdRecipeMedicineVO getById(String id);


    public List<DwdRecipeMedicineInfo> listBeanByPatient(String patientId);

    public List<DwdRecipeMedicineInfo> listBeanByPatient(List<String> patientIds);

}
