package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.base.entity.DwdRecipeTherapyInfo;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdRecipeTherapyQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdRecipeTherapyVO;

import java.util.List;

/**
 * <p>
 * DWD医嘱治疗数据信息表
 * </p>
 */
public interface DwdRecipeTherapyBizService {

    public List<DwdRecipeTherapyVO> list(DwdRecipeTherapyQueryDTO params);

    public List<DwdRecipeTherapyInfo> listByPatientId(String patientId);

    public List<DwdRecipeTherapyInfo> listByPatientId(List<String> patientIds);

    public DwdRecipeTherapyInfo getById(String id);


    public List<DwdRecipeTherapyInfo> listBeanByPatient(String patientId);

    public List<DwdRecipeTherapyInfo> listBeanByPatient(List<String> patientIds);


}
