package com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.service;

import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.dto.DwdPatientDataQueryDTO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientArchiveDataVO;
import com.xxh.cloud.dw.healthy.data.dwd.framework.modules.biz.bean.vo.DwdPatientDataVO;

import java.util.List;

/**
 * 患者
 */
public interface PatientDwdDataBizService {

    public List<DwdPatientDataVO> list(DwdPatientDataQueryDTO params);

    public List<DwdPatientDataVO> listV2(DwdPatientDataQueryDTO params);

    // 异步
    public List<DwdPatientDataVO> listV3(DwdPatientDataQueryDTO params);

    // 相同患者多患者编号档案整合查询
    public List<DwdPatientDataVO> patientDataMergeList(DwdPatientDataQueryDTO params);

    // 相同患者多患者编号档案整合查询（异步）
    public List<DwdPatientDataVO> patientDataMergeListV3(DwdPatientDataQueryDTO params);

    // 除返回患者档案信息外还返回患者id
    public DwdPatientArchiveDataVO patientDataMerge(DwdPatientDataQueryDTO params);

    // 除返回患者档案信息外还返回患者id（异步）
    public DwdPatientArchiveDataVO patientDataMergeV3(DwdPatientDataQueryDTO params);

}
