package com.xxh.cloud.dw.healthy.data.dws.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * DWS患者每日数据变化统计表-2
 * </p>
 *
 * @author anros
 * @since 2023-11-21
 */
@Data
public class DwsPatientDataDayInfo{

    private static final long serialVersionUID = 1L;

    /**
     * 患者编号
     */
     @ApiModelProperty(value = "患者编号")
    @TableId(value = "patient_id", type = IdType.INPUT)
      private String patientId;

    /**
     * 数据日期(天)
     */
     @ApiModelProperty(value = "数据日期(天)")
      private String dataDay;

    /**
     * 数据数量
     */
     @ApiModelProperty(value = "数据数量")
      private Integer dataNum;


}
