package com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.models.bos;

import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * DWD患者基本信息表
 * */
@Getter
@Setter
public class DwdPatientInfoBO {

    /**
     * 患者编号
     * */
    private String patient_id;

    /**
     * 患者姓名
     * */
    private String patient_name;

    /**
     * 身份证号
     * */
    private String id_card_no;

    /**
     * 性别(原始)
     * */
    private String patient_gender_raw;

    /**
     * 性别(标准)
     * */
    private String patient_gender_standard;

    /**
     * 生日
     * */
    private String birthday;

    /**
     *  电话号码
     * */
    private String phone;

    /**
     * 备注信息
     * */
    private String remark;

    /**
     * 数据操作时间
     * */
    private LocalDateTime op_date;


}
