package com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.mapper.MySqlOperateMapper;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.models.dto.DwDataQueryListDTO;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.models.dto.DwDataQueryPageDTO;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.biz.service.DwDataQueryByDwdService;
import com.xxh.cloud.dw.healthy.data.query.framework.modules.cache.service.DwdTableSchemaCacheService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
@DS("wd")
@Service
public class DwDataQueryByDwdServiceImpl implements DwDataQueryByDwdService {

    @Autowired
    private MySqlOperateMapper mySqlOperateMapper;

    @Autowired
    private DwdTableSchemaCacheService dwdTableSchemaCacheService;

    @Override
    public List<Map<String,Object>> selectList(String sql) {
        List<Map<String,Object>> data= mySqlOperateMapper.selectList(sql);
        return data;
    }

    @Override
    public List<Map<String, Object>> list(DwDataQueryListDTO params) {

        return null;
    }

    @Override
    public IPage<Map<String, Object>> page(DwDataQueryPageDTO params) {

        IPage<Map<String,Object>> data=
        mySqlOperateMapper.selectPage(new Page<>(params.getPage(), params.getRows()),
                "SELECT patient_id ,patient_name ,id_card_no FROM dwd_patient_info");
        return data;
    }








}
